C     *****   POTENTIAL YIELD MODEL REVISED (POTYLDR)
C     *****
C     *****   KANSAS STATE UNIVERSITY     CIVIL ENGINEERING DEPT.
C     *****
C     *****   JUNE 1, 1987  plus revisions through October 20, 1993
C     *****
C     *****   complied in Microsoft FORTRAN 5.0 (1989)
$NOFLOATCALLS
$STORAGE:2
C     *****
      INTEGER CROP,DGSB,DGSBP,DGSE,DGSEP,FROZE,OUTPUT
      INTEGER POND,PREVYR,ROTATE,SOIL,T,TERR
      INTEGER YEAR,YEARS,YEND,YSTART
      INTEGER SMDI,PERS,SPER,COUNT
      REAL IA,IAET,INRCN1,INRCN2,INRCN3,KCROP,KROPKO,MD,LAKEP,LAKEVT
      REAL L,LAKEVP,LKEVPT,MMAT,MMMAXT,MMMINT,MUL,NIA,NDPERC,NRNOF
      REAL IASTOR
      DIMENSION AAETRS(18), ACHSOM(18), AETL(18), AETU(18)
      DIMENSION AINTER(18), AMONTH(13), AREA(18), ASTAT(25)
      DIMENSION AVLFCL(12), AVLFCU(12), C(12), CTP(25)
      DIMENSION CTPR(25), CTRDAY(04), DGSBP(18)
      DIMENSION DGSEP(18), DSPERC(18), DSRNFF(18), EO(18)
      DIMENSION FCL(12), FCU(12), FLRCN1(18), FLRCN2(18)
      DIMENSION FLRCN3(18), FREQ(25), IAET(18), ICROP(18)
      DIMENSION INCROP(18), INRCN1(18), INRCN2(18), INRCN3(18)
      DIMENSION IMOBEG(18), IDYBEG(18), IMOEND(18),IDYEND(18)
      DIMENSION PSCH(18), ARATE(18), AIRRIG(18),TIRRG(18)
      DIMENSION ISOIL(18), PERCLU(18), PXCLU(18),PACK(18)
      DIMENSION PRYLD(18), SYLDLU(18), PXCLUM(18,12) 
      DIMENSION MGSBP(18), MGSEP(18), MMAT(12), MMMAXT(12), MMMINT(12)
      DIMENSION MO(12), MUL(18), NDIM(12), NDPERC(18), NIA(18)
      DIMENSION NPLOT(18), NRNOF(18), PCROP(18), PEACCT(18)
      DIMENSION POND(18),PREC(31), PSUNS(12), PWPLZ(12), PWPUZ(12)
      DIMENSION PRP(12), LAKEP(12), PNDOT(12), IASTOR(18) 
      DIMENSION RA(12), RCNI(18), RCNII(18), RCNIII(18), RHD(12)
      DIMENSION ROTATE(18), SM(18), SMGWZ(18), SMLZ(18)
      DIMENSION SMPD(18), SMSATU(12), SMUZ(18), T(18)
      DIMENSION TAVG(31), TERR(18), TMAX(31), TMIN(31), TOTLKE(12)
      DIMENSION U(12), WIND(12), PLU(18), PETACT(13), DVAL(18,6)
      DIMENSION CTR(25,4), KCROP(7,12), PDACCT(13,8), PRECAC(25,4)
      DIMENSION RUNACC(25,25), SMACCT(13,9,18), krop(7), NTERR(4) 
      INTEGER*4 PINDX, TINDX, PSTIND, TSTIND
      CHARACTER*12 FILE2,FILE3,FILE5
      character*24 krop
      CHARACTER*20 NTERR
      CHARACTER*34 HIST, FIXED, STRNG
      character*48 location 
      character*4 amonth,astat,plit
      CHARACTER*2 NO
      data blnk/'  '/
      data no/'NO'/
      data krop/'WHEAT','SORGHUM','CORN','SOYBEANS','PASTURE',
     1'ALFALFA','FALLOW'/
C     *****
C     *****************************************************************
C     *****  TERRACES TYPES CHANGED TO LITERALS SEPTEMBER 15, 1993 JKK
C     *****
C     *****************************************************************
C     *****
      DATA NTERR/'NONE','GRADED','LEVEL','LEVEL, CLOSED-END'/
      DATA AMONTH/'JAN.','FEB.','MAR.','APR.','MAY ','JUNE','JULY','AUG.
     1','SEPT','OCT.','NOV.','DEC.','TOT.'/
      DATA HIST/'FOR HISTORICAL LAND USES WITH TIME'/
      DATA FIXED/'FOR LAND USES FIXED WITH TIME'/
      DATA ASTAT/'>0.0','>0.1','>0.2','>0.3','>0.4','>0.5','>0.6','>0.7'
     1,'>0.8','>0.9','>1.0','>1.1','>1.2','>1.3','>1.4','>1.5','>1.6','>
     21.7','>1.8','>1.9','>2.0','>3.0','>4.0','>5.0','>10.'/
      DATA AVLFCL/2.7,2.9,5.7,2.5,6.7,4.2,6.6,3.3,5.2,4.1,4.1,2.5/
      DATA AVLFCU/2.6,1.5,2.5,2.4,2.5,2.6,2.4,2.4,2.4,2.2,1.5,1.0/
      DATA C/0.2,0.2,0.177,0.177,0.177,0.177,0.159,0.159,0.138,0.138,0.1
     134,0.131/
      DATA FCL/9.4,9.4,14.2,7.0,13.9,9.1,13.7,6.8,9.2,7.0,7.0,4.3/
      DATA FCU/4.6,4.4,4.5,4.6,4.5,4.3,4.0,4.0,3.8,3.5,2.3,1.7/
      DATA FREQ/0.0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0,1.1,1.2,1.3,
     11.4,1.5,1.6,1.7,1.8,1.9,2.0,3.0,4.0,5.0,10.0/
      DATA NDIM/31,28,31,30,31,30,31,31,30,31,30,31/
      DATA PWPLZ/6.7,6.5,8.5,4.5,7.2,4.9,7.1,3.5,4.0,2.9,2.9,1.8/
      DATA PWPUZ/2.0,2.9,2.0,2.2,2.0,1.7,1.6,1.6,1.4,1.3,0.8,0.7/
      DATA SMSATU/5.8,6.2,5.7,5.7,5.7,5.5,5.4,5.4,5.3,5.2,4.8,4.8/
      DATA U/0.47,0.47,0.39,0.39,0.39,0.39,0.35,0.35,0.31,0.31,0.28,0.24
     1/
      DATA CONTRL,EPRIM,PDT,SMMAXL/1.0,0.5,37.5,2.2/
      DATA COUNT,CROP,FROZE,NODSCH,NYDSCH,SOIL/6*0/
      DATA AET,AETLZ,AETUZ,AVAILL,AVAILU,CTP/30*0.0/
      DATA CTPDAY,CTPR,CTR,CTRDAY,DA,DPERC/132*0.0/
      DATA DSCVOL,EVAPLK,EVAPT,EXCESS,EXFILT,H/6*0.0/
      DATA IA,PACK,PACKPY,PDVOL,PEAK,PEINT/23*0.0/
      DATA PERC,PETACT,PETTAC,PONVOL,PRCPT,SM,TPAREA/36*0.0/
      DATA WATER,WET/2*0.0/
      DATA TPREC/0.0/
      DATA IMOBEG,IDYBEG,IMOEND,IDYEND/72*0/
      DATA PSCH,ARATE,AIRRIG,TIRRG/72*0.0/
      DATA TSUYLD,TPRYLD,TBSUYL,TTSUYL,TSYLDA,TPYLDA,PRCT,LAKEVT/8*0.0/
C     ******************************************************************
C     *****
C     *****   FOLLOWING LINES REVISED JUNE 1987, April 1991 and Sept. 1993
C     *****     ***** INPUTS *****
C     *****
      write(*,2)
    2 format(' Enter the name of the master file for this run.',/'    Th
     1is file must reside on the disk. ')
      open(1,file=' ',status='old')
   10 read (1,15) LOCATION
   15 format (a48)
      read (1,*) file2, file3, file5
      open(2,file=FILE2,status='old')
      open(3,file=FILE3,status='old')
      open(5,file=FILE5,status='UNKNOWN')
C     *****   READ CLIMATOLOGICAL INFO, LAND USE AREAS AND POND PARAMETERS
      read (1,*)brunta,bruntb,e,rcrop,output,tarea
      read (1,*)dseprt,hmax,l,w,s
      read (1,*)pindx,tindx,ystart,yend,nplots,iplots
C     *****
C     ***** NEXT LINE IS PART OF A DROUGHT INDEX ROUTINE NOT CURRENTLY
C     ***** IMPLEMENTED IN POTYLDR.
C     *****
C      read (1,*)jcrop,mbegin,mend,mpond,skplot
      CALL GETDAT (IYR,IMON,IDAY)
      CALL GETTIM (IHR,IMIN,ISEC,I100TH)
      write(5,30) FILE5, IMON,IDAY,IYR,IHR,IMIN,LOCATION
   30 FORMAT ('ASCII FILENAME: ',A12,'  SIMULATION RUN MADE: 'I2,'-',I2,
     1'-',I4,' at ',I2,':',I2,//,'Location of sub-basin: ',A48,//,'ECHO 
     2OF INPUT VALUES FOR METEOROLOGICAL STATION, POND, AND LAND USES',
     3/)
C     *****   ECHO PRINT NAMELIST VALUES
      write (5,31)brunta,bruntb,e,rcrop
      write (5,32)hmax,l,w,s,dseprt
      write (5,33)file2,pindx,file3,tindx,ystart,yend,nplots,IPLOTS,
     1tarea,output
   31 format('INPUTS FOR PET EQUATION',/,'brunt a=',f5.3,2X,'brunt b=',
     1f5.3,2X,'e=',f5.3,2X,'rcrop='f5.3,/)
   32 format('TYPICAL POND CHARACTERISTICS',/,'maximum height =',f5.1,
     1' ft., bottom length =',f5.0,' ft. & width =',f5.0,' ft.',/,'ss=',
     2f4.0,':1, and seepage rate=',f5.3,' in./day',/)
   33 format('STATIONS FOR USED FOR THIS SUB-BASIN',/,'precipitation: fi
     1lename= ',A12,', station index= 'I6,/,'temperature: filename =  ',
     2A12,', station index= ',I6,/,'starting year=',i5,' and ending year
     3=',I6,//,'OTHER INFORMATION',/,'Total No. of land uses= ',I2,'; No
     4. of land uses irrigated= ',I2,/,'Sub-basin total area= ',F7.0,
     5' acres',/,'output code= ',I2,//)
      PREVYR = YSTART
      YEARS = YEND-YSTART+1
C     *****   READ THE MONTHLY AVERAGE CLIMATOLOGICAL DATA
      READ (1,50) (MO(I),PSUNS(I),RHD(I),RA(I),WIND(I),MMMAXT(I),
     1MMMINT(I),I=1,12)
      write(5,51)
   50 format(i2,2f4.0,f6.2,3f5.1)  
   51 format('MONTHLY CLIMATIC INFORMATION',/,'mo  psun,%   rhd,%   rad,
     1mm  wind,mph mmmaxt,F mmmint,F')
      WRITE (5,52) (MO(I),PSUNS(I),RHD(I),RA(I),WIND(I),MMMAXT(I),
     1MMMINT(I),I=1,12)
   52 FORMAT (I2,F7.0,F8.0,F10.2,F8.1,2F9.1)
      DO 53 I=1,12
      MMAT(I)=(MMMAXT(I)+MMMINT(I))/2
   53 CONTINUE
      GOTO (55,56,55,56,55,56) OUTPUT
C     ******************************************************************
C     *****
   55 open(4,file='annlsurf.out',status='UNKNOWN')
C     *****   added Nov. 1989 file for annual surface excesses
C     *****
C     ******************************************************************
C     *****
C     *****   added Sep 03, 1993 files for deep percolation amounts
C     *****    including pond seepage.
C     *****
      open(7,file='annlperc.out',status='UNKNOWN')
C     *****     
C     ******************************************************************
      GOTO 60
C     ******************************************************************
C     *****
C     *****   added November 30, 1989 file for monthly surface excesses,
C     *****    revised September 03, 1993 to add NET pond evaporation.
C     *****
   56 open(6,file='mnthsurf.out',status='UNKNOWN')
C     *****
C     *****   added Sep 03, 1993 files for deep percolation amounts
C     *****    including pond seepage.
      open(8,file='mnthperc.out',status='UNKNOWN') 
C     *****
C     ******************************************************************
C     *****
C     *****   READ LAND USES AREA PARAMETERS
C     *****        NPLOT=NUMBER OF THE PLOT
C     *****        ISOIL=SCS IRRIGATION SOIL CLASS
C     *****        ICROP=CROP TYPE
C     *****        AREA=AREA IN ACRES
C     *****        RCNI=RCN FOR AMC I
C     *****        RCNII=RCN FOR AMC II
C     *****        RCNIII=RCN FOR AMC III
C     *****        MGSBP=MONTH GROWING SEASON BEGINS
C     *****        DGSBP=DAY OF MONTH GROWING SEASON BEGINS
C     *****        MGSEP=MONTH GROWING SEASON ENDS
C     *****        DGSEP=DAY OF MONTH GROWING SEASON ENDS
C     *****        ROTATE=WHEAT/FALLOW ROTATION INDICATOR
C     *****        POND=INDICATOR FOR LAND USE FLOWING INTO POND
C     *****         1=DOES NOT FLOW INTO POND,  2=DOES FLOW INTO POND
C     *****        TERR=INDICATOR FOR TERRACE TYPE
C     *****         1=NONE
C     *****         2=GRADED
C     *****         3=LEVEL
C     *****         4=LEVEL, CLOSED-END
C     ***** MUL REDEFINED TO ACCOUNT FOR EFFECT OF RESIDUE ON SOIL WATER
C     *****  EVAPORATION WHEN CROP IS NOT GROWING  SEPTEMBER 14, 1993  JKK     
C     *****  MUL= DECIMAL REDUCTION OF EVAPORATION FROM LAND USE FOR RESI- 
C     *****  DUE COMPARED TO BARE SOIL WHEN CROP IS NOT GROWING, TYPICAL
C     *****  RANGE = 0.05 FOR CONVENTIONAL TILLAGE TO 
C     *****  0.30 WITH 6,000 LB/AC STANDING RESIDUE 
C     *****        FLRCN1=FALLOW RCN FOR AMC I (IF NEEDED)
C     *****        FLRCN2=FALLOW RCN FOR AMC II (IF NEEDED)
C     *****        FLRCN3=FALLOW RCN FOR AMC III (IF NEEDED)
C     *****
C     ******************************************************************
C     *****
   60 WRITE (5,62)
   62 FORMAT (/,'LAND USES INFORMATION (acres= amount of each land use i
     1n drainage area of pond)',/,'no soil crop acres cnI II  III st.mo 
     2dy ed.mo dy  r p t  mul cnI II  III') 
      DO 72 I=1,NPLOTS
      READ (1,70) NPLOT(I),ISOIL(I),ICROP(I),AREA(I),RCNI(I),RCNII(I),
     1RCNIII(I),MGSBP(I),DGSBP(I),MGSEP(I),DGSEP(I),ROTATE(I),POND(I),
     2TERR(I),MUL(I),FLRCN1(I),FLRCN2(I),FLRCN3(I)
   70 FORMAT (I2,I3,I2,F5.0,3F4.0,4I3,3I2,F5.2,3F4.0)
C     *****   ECHO PRINT INDIVIDUAL LAND USE INPUT PARAMETERS
      WRITE (5,71) NPLOT(I),ISOIL(I),ICROP(I),AREA(I),RCNI(I),RCNII(I),
     1RCNIII(I),MGSBP(I),DGSBP(I),MGSEP(I),DGSEP(I),ROTATE(I),POND(I),
     2TERR(I),MUL(I),FLRCN1(I),FLRCN2(I),FLRCN3(I)
   71 FORMAT (I2,2I4,F7.0,1X,3F4.0,2X,2I3,3X,2I3,2X,3I2,F5.2,3F4.0)
   72 CONTINUE
C     *****
C     ******************************************************************
C     *****
C     ***** ECHO IRRIGATED LAND USES INFORMATION, ADDED SEPTEMBER 15,1993
C     *****  IPLOTS = TOTAL NO. OF LAND USES IRRIGATED
C     *****  IRGPLT = NO. OF LAND USE IRRIGATED
C     *****  IMOBEG = MO IRRIGATION BEGINS
C     *****  IDYBEG = DY IRRIGATION BEGINS
C     *****  IMOEND = MO IRRIGATION ENDS
C     *****  IDYEND = DY IRRIGATION ENDS
C     *****  PSCH = % AVAILABLE SOIL MOISTURE IN UPPER ZONE WHEN IRRIG.
C     *****  ARATE = DEPTH OF IRRIGATION ADDED EACH TIME, INCHES
C     *****
      IF (IPLOTS.EQ.0) GOTO 83
C     *****
C     *****  OPEN OUTPUT FILE FOR IRRIGATION WATER USE, IF ONE OR MORE
C     *****  LAND USE IS IRRIGATED.
C     *****
      GOTO (76,73,76,73,76,73) OUTPUT
   73 open(9,file='mnthirrg.out',status='UNKNOWN')
      GOTO 78
   76 open(10,file='annlirrg.out',status='UNKNOWN')
   78 WRITE (5,79)
   79 FORMAT (/'IRRIGATED LAND USE INFORMATION',/,'no st.mo dy ed.mo dy
     1 %asm inches')
      DO 82 IR=1,IPLOTS
      READ (1,80) IRGPLT, IMOBEG(IRGPLT), IDYBEG(IRGPLT),IMOEND(IRGPLT),
     1IDYEND(IRGPLT), PSCH(IRGPLT), ARATE(IRGPLT)
   80 FORMAT (I2,4I3,F4.0,F5.2)
      WRITE (5,81) IRGPLT,IMOBEG(IRGPLT),IDYBEG(IRGPLT),IMOEND(IRGPLT),
     1IDYEND(IRGPLT), PSCH(IRGPLT), ARATE(IRGPLT)
   81 FORMAT(I2,I6,I3,I6,I3,F6.0,F6.2)
   82 CONTINUE
C     *****************************************************************
C     *****
C     *****  READ IN HISTORICAL OR ASSUMED LAND USE FOR POSTPROCESSING
C     *****  TO ESTIMATE SURFACE AND PERCOLATION/GROUNDWATER YIELD.
C     *****  NEW SECTION ADDED SEPTEMBER 21, 1993  PLU=% LAND USE
C     *****
   83 GOTO (90,90,84,84,97,97) OUTPUT       
   84 WRITE (5,85)
   85 FORMAT (/,'POND AND LAND USE INFORMATION YEAR-BY-YEAR IN SUB-BASIN
     1',/,'     no.  annual amount of each land use in percent of area i
     2n sub-basin')
      WRITE (5,86)
   86 FORMAT ('year pnds  01   02   03   04   05   06   07   08   09   1
     10   11   12   13   14   15   16   17   18')
      LYEAR=999
      open(12,file='TEMP',status='UNKNOWN')
      DO  89 J=1,YEARS
      READ (1,*) YEAR, NPD, (PLU(I),I=1,NPLOTS)
      WRITE (12,87) YEAR, NPD,(PLU(I),I=1,NPLOTS)
   87 FORMAT (I4,I3,18F5.1)        
      WRITE (5,88) YEAR, NPD,(PLU(I),I=1,NPLOTS)
   88 FORMAT(I4,I4,18F5.1)
   89 CONTINUE
      GOTO 96
   90 open(12,file='TEMP',status='UNKNOWN')
      WRITE (5,91)
   91 FORMAT (/,'POND AND LAND USE INFORMATION IN SUB-BASIN',/,
     1'     no.         amount of each land use in percent of area in su
     2b-basin')
      WRITE (5,92)
   92 FORMAT ('year pnds  01   02   03   04   05   06   07   08   09   1 
     10   11   12   13   14   15   16   17   18')
      READ (1,*) YEAR, NPD, (PLU(I),I=1,NPLOTS)
      WRITE (5,95) YEAR,NPD,(PLU(I),I=1,NPLOTS)
      LYEAR=YEAR
      DO 94 J=1,YEARS
      YEAR = YSTART-1+J
      WRITE (12,93) YEAR, NPD,(PLU(I),I=1,NPLOTS)
   93 FORMAT (I4,I4,18F5.1)        
   94 CONTINUE
   95 FORMAT(I4,I4,18F5.1)
   96 CLOSE (12,STATUS='KEEP')
C     *****
C     ******************************************************************
C     *****
C     *****   SUBROUTINE VOLRT CALCULATES THE DIMENSIONS OF THE
C     *****    THE POND USING THE GIVEN INPUT INFORMATION.
   97 CALL VOLRT (A1,A2,A3,A4,A5,L,PSAREA,S,VOLMAX,W,HMAX)
C     *****   CALCULATE THE CROP COEFFICIENTS
      DO 98 K=1,NPLOTS
      MGSB = MGSBP(K)
      DGSB = DGSBP(K)
      MGSE = MGSEP(K)
      DGSE = DGSEP(K)
      CROP = ICROP(K)
C     *****   SUBROUTINE CROPCO CALCULATES THE MONTHLY CROP
C     *****    COEFFICIENTS FOR EACH LAND USE.
      CALL CROPCO (CROP,MGSB,DGSB,MGSE,DGSE,KCROP,NDIM,MMAT)
      INCROP(K) = ICROP(K)
      INRCN1(K) = RCNI(K)
      INRCN2(K) = RCNII(K)
      INRCN3(K) = RCNIII(K)
   98 CONTINUE
C     *****   INITIALIZE VARIABLES
      DO 110 I=1,25
      DO 100 J=2,9
      IF (J.LE.4) PRECAC(I,J) = 0.0
  100 RUNACC(I,J) = 0.0
  110 CONTINUE
      DO 120 J=1,12
  120 KCROP(7,J) = 0.0
C     *****
C     *****************************************************************
C     *****
C     *****  CROP COEFFICIENTS SET TO MAXIMUM OF 1.00 SEPT 1993 JKK
      WRITE (5,122)
  122 FORMAT(/,'Calculated Crop Coefficients for Crops Included on one o
     1r More Land Uses',/,'Crop/Month 1    2    3    4    5    6    7   
     2 8    9   10   11   12')
      DO 128 IJ=1,7
      DO 126 KJ=1,12
      IF (KCROP(IJ,KJ).GT.1.00) KCROP(IJ,KJ) = 1.00
  126 CONTINUE
      WRITE (5,127) IJ,(KCROP(IJ,KL),KL=1,12)
  127 FORMAT(I3,4X,12F5.2)  
  128 CONTINUE 
C     *****
      DO 130 II=1,NPLOTS
      IF (POND(II).NE.1) DA = DA+AREA(II)
      TPAREA = TPAREA+AREA(II)
      T(II) = 0.0
      EO(II) = 0.0
      IAET(II) = 0.0
      DSRNFF(II) = 0.0
      AINTER(II) = 0.0
      AAETRS(II) = 0.0
      ACHSOM(II) = 0.0
      DSPERC(II) = 0.0
C     *****  THE FOLLOWING LINE WAS ADDED IN SEPTEMBER, 1982
      SOIL = ISOIL(II)
C     *****   FOLLOWING 2 LINES REVISED SEPTEMBER, 1982
      SMLZ(II) = 0.5*AVLFCL(SOIL) + PWPLZ(SOIL)
      SMUZ(II) = 0.5*AVLFCU(SOIL) + PWPUZ(SOIL)
      SMGWZ(II) = 6.30
      SMPD(II) = SMLZ(II)+SMUZ(II)
C     *****   ESTABLISH FALLOW LAND USES FOR BEGINNING OF SIMULATION
  130 IF (ROTATE(II).EQ.2) ICROP(II) = 7
C     *****
C     *****   PRINT INPUT PARAMETERS
C     *****
      WRITE (5,150) LOCATION,YSTART,YEND,L,W,S,HMAX,
     1VOLMAX,PSAREA,DSEPRT,DA
  150 FORMAT (///,'STATION:  ',A48,2X,I4,' TO ',I4/,
     1/5X,'TYPICAL POND VARIABLES:',/10X,'(A) BASE DIMENSIONS-- ',F5.0,'
     2FEET BY',F5.0,' FEET',/10X,'(B) SIDE SLOPE--  RUN:RISE = ',F3.0,' 
     3:1',/,10X,'(C) MAXIMUM DEPTH-- ',F5.1,' FEET',/10X,'(D) MAXIMUM PO
     4ND VOLUME-- ',F9.2,' ACRE-INCHES',/10X,'(E) MAXIMUM POND SURFACE A
     5REA--',F8.2,' ACRES',/10X,'(F) SEEPAGE RATE--',F7.3,' INCHES/DAY',
     6/10X,'(G) DRAINAGE AREA--',F7.2,' ACRES'//,'LAND USES AREA VARIABL
     7ES:')
      DO 180 J=1,NPLOTS
      PLAREA = AREA(J)
      CROP = INCROP(J)
      TERT = TERR(J)
      SOIL = ISOIL(J)
      PLIT = NO
      IF (POND(J).GT.1) PLIT = BLNK
      WRITE (5,160) J,PLAREA,KROP(CROP),SOIL,PLIT,NTERR(TERT),MUL(J),RCN
     1I(J),RCNII(J),RCNIII(J)
  160 FORMAT (/5X,'LAND USE ',I2//10X,'(A) AREA IN POND WATERSHED--  ',
     1F6.2,' ACRES'/10X,'(B) CROP--  ',A16/10X,'(C) SOIL TYPE--',I3,
     2' (SCS IRRIGATION CLASS)'/10X,'(D) CONSERVATION PRACTICES-- ',A2,'
     3 FLOW INTO POND',/,15X,'TERRACES-- ',A20,'RESIDUE FACTOR =',F4.2,
     4/10X,'(E) RUNOFF CURVE NUMBERS: AMC I   = ',F3.0,/36X,'AMC II  = '
     5,F3.0/36X,'AMC III = ',F3.0)
C     *****
C     *****************************************************************
C     *****
C     *****  PRINT IRRIGATION INFORMATION FOR LAND USE
      IF (IMOBEG(J).EQ.0) GOTO 169 
      WRITE (5,165) PSCH(J),ARATE(J),IMOBEG(J),IDYBEG(J),IMOEND(J),
     1IDYEND(J)
  165 FORMAT (10X,'(F) IRRIGATED UPPER ZONE AVAILABLE SOIL MOISTURE BELO
     1W: ',F3.0,'%'/16X,'WITH',F5.2,' INCHES BEGINNING 'I2,
     2'-',I2,' AND ENDING ',I2,'-',I2)
  169 IF (ROTATE(J).NE.1) WRITE (5,170) FLRCN1(J),FLRCN2(J),FLRCN3(J)
  170 FORMAT (10X,'(G) CROP ROTATION WITH -- FALLOW'/14X,'FALLOW RUNOFF
     1CURVE NUMBERS: AMC I   = ',F3.0/43X,'AMC II  = ',F3.0/43X,'AMC III
     2 = ',F3.0)
  180 CONTINUE
C     *****
C     *****************************************************************
C     ***** OPEN FILE FOR DAILY OUTPUT OF LAST YEAR OF SIMULATION.
C     ***** ADDED OCTOBER 13, 1993
      open(16,file='DAILY.OUT',status='UNKNOWN') 
      WRITE (16,181) LOCATION,YEND
  181 FORMAT ('Sub-basin simulated: 'a48,/,
     1'Daily information for ',I4,', the last year of the simulation per
     2iod.',//,25X,'-------- LAND USE 1 --------   -------- LAND USE 2 -
     3-------   -------- LAND USE 3 --------   -------- LAND USE 4 -----
     3---   -------- LAND USE 5 --------   -------- LAND USE 6 -------- 
     5  -------- LAND USE 7 --------   -------- LAND USE 8 --------   --
     6------ LAND USE 9 --------   -------- LAND USE 10 -------   ------
     7-- LAND USE 11 -------   -------- LAND USE 12 -------   -------- L
     8AND USE 13 -------   -------- LAND USE 14 -------   -------- LAND 
     9USE 15 -------   -------- LAND USE 16 -------   -------- LAND USE
     917 -------   -------- LAND USE 18 -------')
      WRITE (16, 182) 
  182 FORMAT ('MO DY TMX TMN PREC. PET IRRG.INTC. RUNF.PERC.AET SLMO. IR
     1RG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.I
     2NTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC.
     3 RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUN
     4F.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PE
     5RC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.A
     6ET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET S
     7LMO. IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO.
     8 IRRG.INTC. RUNF.PERC.AET SLMO. IRRG.INTC. RUNF.PERC.AET SLMO.')  
C     *****
C     *****************************************************************
      WRITE (*,185) LOCATION
  185 FORMAT('   Now reading weather data for ',A48,/)
C     *****************************************************************
C     *****
C     *****   ***** ENTER YEARLY LOOP *****
C     *****
      DO 960 NY=1,YEARS
C     *****
C     *****   INITIALIZE VARIABLES
      SMDI = 0
      PERS = 0
      SPER = 0
      MAXVOL = 0.0
      LKEVPT = 0.0
      VOLCHG = 0.0
      PETACT(13) = 0.0
C     *****  A LINE WAS REMOVED AT THIS POINT IN SEPTEMBER, 1982
      DO 210 J=1,9
      DO 200 I=1,13
      DO 190 K=1,NPLOTS
  190 SMACCT(I,J,K) = 0.0
  200 PDACCT(I,J) = 0.0
  210 CONTINUE
      DO 220 K=1,NPLOTS
      PCROP(K) = ICROP(K)
  220 PEACCT(K) = 0.0
C     *****   ESTABLISH CROP ROTATIONS
      DO 250 K=1,NPLOTS
      IROT = ROTATE(K)
      GOTO (250,230,240), IROT
C     *****   ROTATE=3 FOR WHEAT PLANTING YEAR ('FALLOW YEAR')
C     *****   THE FALLOW RCN'S ARE ASSUMED TO BE REPRESENTATIVE
C     *****    THROUGHOUT THE FALLOW YEAR.
  230 ROTATE(K) = 3
      RCNI(K) = FLRCN1(K)
      RCNII(K) = FLRCN2(K)
      RCNIII(K) = FLRCN3(K)
      GOTO 250
C     *****   ROTATE=2 FOR WHEAT HARVESTING YEAR ('WHEAT YEAR')
C     *****   THE WHEAT RCN'S ARE ASSUMED TO BE REPRESENTATIVE
C     *****    THROUGHOUT THE WHEAT YEAR.
  240 ROTATE(K) = 2
      RCNI(K) = INRCN1(K)
      RCNII(K) = INRCN2(K)
      RCNIII(K) = INRCN3(K)
  250 CONTINUE
      WRITE (5,260)
  260 FORMAT (//,26X,'****** ANNUAL SUMMARY ******')
C     *****
C     *****
C     *****   ***** ENTER MONTHLY LOOP *****
C     *****
C     *****  MONTHLY LOOP ALTERED IN SEPTEMBER, 1982 TO ELIMINATE
C     *****  MSTART FROM THE VARIABLE LIST (NAMELIST OMEGA).
C     *****   FOLLOWING LINE REVISED IN SEPTEMBER, 1982
      DO 710 NM=1,12
      PETACT(NM)=0.0
C     *****
C     *****   ESTABLISH CROP ROTATIONS FOR WHEAT
      DO 290 II=1,NPLOTS
      IROT = ROTATE(II)
      GOTO (290,270,280), IROT
C     *****   IROT=2 FOR A WHEAT HARVESTING YEAR ('WHEAT YEAR')
  270 IF (NM.GT.MGSEP(II)) ICROP(II) = 7
      GOTO 290
C     *****   IROT=3 FOR A WHEAT PLANTING YEAR ('FALLOW YEAR')
  280 IF (NM.GE.MGSBP(II)) ICROP(II) = INCROP(II)
  290 CONTINUE
C     *****   READ DAILY METEOROLOGICAL DATA FOR ONE MONTH
  300 READ (2,*,END=970) PSTIND,YEAR,MONTH,(PREC(I),I=1,31)
      IF (PSTIND.NE.PINDX) GOTO 320
      IF (YEAR.LT.YSTART) GOTO 300
  305 READ (3,*,END=970) TSTIND,YEAR,MONTH,(TMAX(I),TMIN(I),I=1,31)
      IF (TSTIND.NE.TINDX) GOTO 330
      IF (YEAR.LT.YSTART) GOTO 305
C     *****
C     ******************************************************************
C     *****
C     *****  WRITE MESSAGE TO SCREEN TO SHOW PROGRAM PROGRESS DURING 
C     *****  THE RUN.
C     *****
      IF (COUNT.EQ.0) WRITE (*,310)
  310 FORMAT('                       Now doing simulation for',/) 
      COUNT=1
      if (nm.lt.2) write(*,311) year
  311 format(i5,\,TL5)
C     *****
C     ******************************************************************
C     *****
      IF (YEAR.GT.YEND) GOTO 970
      GOTO 340
  320 WRITE (*,325) PINDX, FILE2, PSTIND
  325 FORMAT(/,' The precipitation station index specified in the input 
     1file is ',I6,',',/,' however, the precipitation station index in f
     2ile, ',A12,' is ',I6,'.',/,' THEREFORE, YOUR RUN WAS TERMINATED.  
     3PLEASE CORRECT THE ERROR.')
      GOTO 2900
  330 WRITE (*,335) TINDX, FILE3, TSTIND
  335 FORMAT(/,' The temperature station index specified in the input fi
     1le is ',I6,',',/,' however, the temperature station index in file,
     2 ',A12,' is ',I6,'.',/,' THEREFORE, YOUR RUN WAS TERMINATED.  PLEA
     3SE CORRECT THE ERROR.')
      GOTO 2900
  340 NDIM(2) = 28
      IF (NM.EQ.2.AND.TMAX(29).LT.900) NDIM(2) = 29
      NDAYS = NDIM(NM)
C     *****
C     *****
C     *****   ***** ENTER DAILY LOOP *****
C     *****
      DO 670 ND=1,NDAYS
C     *****
C     *****   THE FOLLOWING STATEMENTS CORRECT FOR MISSING DATA
C     *****    IN INPUT FILE.  MISSING DATA ENTERED AS 999 OR 99.99 IN FILES.
      IF (TMAX(ND).GT.150.0) TMAX(ND) = PDT
      IF (TMIN(ND).GT.150.0) TMIN(ND) = PDT
      IF (PREC(ND).GT.99.97) PREC(ND) = 0.0
C     *****   TAVG=AVERAGE DAILY AIR TEMPERATURE, DEGREES FAHRENHEIT
      TAVG(ND) = (TMAX(ND)+TMIN(ND))/2.0
C     *****   SUBROUTINE PETRT CALCULATES THE POTENTIAL ET,
C     *****    THE BARE SOIL EVAPORATION, AND THE LAKE EVAPORATION.
      ZWIND = WIND(NM)
      ZRHD = RHD(NM)
      ZRA = RA(NM)
      ZPSUNS = PSUNS(NM)
      AVGT = TAVG(ND)
      ZMAXT = TMAX(ND)
      ZMINT = TMIN(ND)
      ZMN = NM
      ZND = ND
      TAVGM=MMAT(NM)
      STRVOL = 0.0
      CALL PETRT (ZPSUNS,ZRA,ZRHD,AVGT,ZWIND,BRUNTA,BRUNTB,DELTA,E,EPRI
     1M,GAMMA,LAKEVP,PACK(1),PET,PETBS,RCROP,ZMAXT,ZMINT,MMMAXT,MMMINT,
     2ZNM,ZNM)
C     *****
C     *****   ***** ENTER INDIVIDUAL LAND USE LOOP *****
C     *****
      DO 580 JJ=1,NPLOTS
C     *****
      STRNOF = 0.0
      CROP = ICROP(JJ)
      SOIL = ISOIL(JJ)
      KROPKO = KCROP(CROP,NM)
      ZSMUZ = SMUZ(JJ)
C     *****   FOLLOWING 2 LINES REVISED SEPTEMBER, 1982
      ZPWPUZ = PWPUZ(SOIL)
      ZAVFCU = AVLFCU(SOIL)
      RCN1 = RCNI(JJ)
      RCN2 = RCNII(JJ)
      RCN3 = RCNIII(JJ)
      ZIASTN = IASTOR(JJ) 
      ZSM = SM(JJ)
      ZPACK = PACK(JJ)
C     *****   SUBROUTINE SNOWRT CALCULATES THE MOISTURE ADDED TO THE
C     *****    LAND USE DUE TO SNOWMELT ON THE AREA
      PRECIP = PREC(ND)
      SNOVAP = 0.0
      WATER = PRECIP
      CALL SNOWRT (PRECIP,KROPKO,WATER,ZPACK,PET,PETBS,TAVG(ND),SNOVAP)
C     *****
      PACK(JJ)=ZPACK
      RAIN = WATER
      IF (RAIN) 360,360,350
C     *****   SUBROUTINE RNOFRT EVALUATES PRECIPITATION EXCESS USING
C     *****   THE SCS EQUATION.
  350 CALL RNOFRT (ZAVFCU,ZPWPUZ,RAIN,RCN1,RCN2,RCN3,RNOF,ZSMUZ)
      GOTO 362
  360 RNOF = 0.0
C     *****
C     *****************************************************************
C     *****
C     ***** IF SNOW EVAPORATION OCCURRS, INTERCEPTION EQUAL SNOVAP FOR 
C     ***** THE DAY AND THE INTERCEPTION STORAGE ACCOUNT DOES NOT CHANGE.
C     ***** THE SNOVAP IS SUBTRACTED FROM PACK.
C     ***** ADDED OCTOBER 14, 1993 JKK
C     *****
C     *****   SUBROUTINE IART EVALUATES THE INTERCEPTION AMOUNT AND STORAGE.
  362 CALL IART (IA,SNOVAP,ZIASTN,KROPKO,PRECIP,PET,PETBS,ZIASTT,ZIAET,
     1TAVG(ND))
      IASTOR(JJ) = ZIASTT
      IAET(JJ) = ZIAET
C     *****
C     ******************************************************************
C     *****
C     *****  IRRIGATION ADDED HERE.  IRRIGATION ONLY ON DAYS WITH NO
C     *****  RAIN.  CHECK IF IMOBEG(J).GT.0 TO SEE IF IRRIGATED LAND USE
C     *****  AND IF IS DATE WITHIN IRRIGATION PERIOD OF THE YEAR AND IF
C     *****  AVAILU/SMMAXU*100.LT.PSCH.  IF SO, ADD AMOUNT EQUAL TO ARATE  
C     *****  TO UPPER ZONE SOIL MOISTURE ACCOUNT FOR (J).  KEEP ACCOUNT OF 
C     *****  AMOUNT ADDED FOR MONTH, YEAR, AND TOTAL RUN. 
C     *****  
C     *****  IMOBEG = MONTH IRRIGATION BEGINS
C     *****  IDYBEG = DAY OF IMOBEG IRRIGATION BEGINS
C     *****  IMOEND = MONTH IRRIGATION ENDS
C     *****  IDYEND = DAY OF IMOEND IRRIGATION ENDS
C     *****  SWTCH = AVAILABLE SOIL MOISTURE IN PROFILE, %
C     *****  PSCH = AVAILABLE SOIL MOISTURE IN PROFILE AT WHICH IRRIGATION
C     *****  BEGINS, %
C     *****  AMTIRR = AMOUNT OF WATER ADDED BY ONE IRRIGATION, INCHES
C     *****
  365 IF (RAIN.GT.0.0) GOTO 384
      IF (AVGT.LT.40.) GOTO 384
      IF (FROZE.EQ.1) GOTO 384
      IF (PACK(JJ).GT.0.0) GOTO 384
      IF (IMOBEG(JJ).EQ.0) GOTO 384
      IF (ICROP(JJ).EQ.1) GOTO 374
      IF (NM.LT.IMOBEG(JJ)) GOTO 384
      IF (NM.GT.IMOEND(JJ)) GOTO 384
      IF (NM.EQ.IMOBEG(JJ)) GOTO 371
      IF (NM.EQ.IMOEND(JJ)) GOTO 372
      GOTO 378
  371 IF (ND.LT.IDYBEG(JJ)) GOTO 384
      GOTO 378
  372 IF (ND.GT.IDYEND(JJ)) GOTO 384  
      GOTO 378
  374 IF (NM.LT.IMOEND(JJ)) GOTO 378
      IF (NM.GT.IMOBEG(JJ)) GOTO 378
      IF (NM.EQ.IMOEND(JJ)) GOTO 375
      IF (NM.EQ.IMOBEG(JJ)) GOTO 376
      GOTO 384
  375 IF (ND.LE.IDYEND(JJ)) GOTO 378
  376 IF (ND.GE.IDYBEG(JJ)) GOTO 378
      GOTO 384
  378 SWTCH = 100*((SMUZ(JJ)-PWPUZ(SOIL))/(FCU(SOIL)-PWPUZ(SOIL)))
      IF (SWTCH.GT.PSCH(JJ)) GOTO 381 
      AMTIRR = ARATE(JJ)
      GOTO 385
  381 SWTCH = 100*((SMUZ(JJ)+SMLZ(JJ)-PWPUZ(SOIL)-PWPLZ(SOIL))/(FCU(SOIL
     1)+FCL(SOIL)-PWPUZ(SOIL)-PWPLZ(SOIL)))
      IF (SWTCH.GT.PSCH(JJ)) GOTO 384
      AMTIRR = ARATE(JJ)
      GOTO 385
  384 AMTIRR = 0.
C     *****
C     ******************************************************************
C     *****
C     *****   EVALUATE INFILTRATION INTO THE UPPER ZONE
  385 PERC = RAIN-RNOF-IA+AMTIRR
      UZEVAP = 0.0
C     *****   CALCULATE PRESENT STORAGE AVAILABLE IN UPPER ZONE
      SMMAXU = 0.9*SMSATU(SOIL)-SMUZ(JJ)
C     *****   EVALUATE WATER CASCADED TO LOWER ZONE FOR STORAGE
      PERCL = PERC-SMMAXU
      IF (PERC.GT.SMMAXU) PERC = SMMAXU
      IF (PERCL.LT.0.0) PERCL = 0.0
      IF (SMUZ(JJ).GT.FCU(SOIL)) GOTO 390
      EXCESS = 0.0
      GOTO 395
C     *****   EVALUATE GRAVITATIONAL WATER IN UPPER ZONE
  390 EXCESS = SMUZ(JJ)-FCU(SOIL)
C     *****
C     *****   IF THE CROP IS DORMANT OR THE SOIL LIES FALLOW, SOIL
C     *****    EVAPORATION IS EVALUATED
  395 IF (KCROP(CROP,NM).LE.0.0) GOTO 510
      T(JJ) = 0.0
C     *****   MODIFY PET BY THE PLANT CONSUMPTIVE USE COEFFICIENT AND
C     *****   INTERCEPTION AMOUNT THAT SATISFIES PET TO OBTAIM AET BEFORE
C     *****   CHECKING TO SEE IF IT IS LIMITED FURTHER BY SOIL MOISTURE
C     *****   AVAILABILITY
      IF (SNOVAP) 397,397,396
  396 AET = 0.0
      GOTO 510    
  397 IF (PET-IAET(JJ)) 399,399,400
  399 AET = 0.0
      GOTO 405
  400 AET = KCROP(CROP,NM)*(PET-IAET(JJ))
C     *****   CHECK WHETHER SOIL MOISTURE LIMITS AET FROM THE UPPER ZONE
C     *****
C     *****   CHANGED FROM CONSTANT FROM O.3 TO 0.5 SEPTEMBER 14, 1993
C     *****   THIS CHANGE MEANS THAT ONCE AVAILABLE SOIL MOISTURE (ASM)
C     *****   IS BELOW 50%, THERE IS A LINEAR DECREASE IN THE RATIO OF
C     *****   AET/PET FROM 1 TO 0 AS ASM DECREASES FROM 50% TO 0%
C     *****   PREVIOUSLY THE DECREASE BEGAN AT 30% ASM.  THIS CHANGE
C     *****   REDUCES THE RATE OF AET AND KEEPS THE SOIL WETTER WHICH
C     *****   MORE REALISTICALLY REPRESENTS FIELD CONDITIONS.
C     *****
  405 IF (SMUZ(JJ)-(0.5*(AVLFCU(SOIL))+PWPUZ(SOIL))) 410,410,440
C     *****   CALCULATE AET FROM THE UPPER ZONE WHEN LIMITED BY SOIL
C     *****    MOISTURE.
  410 AVAILU = SMUZ(JJ)-PWPUZ(SOIL)
      IF (AVAILU.LE.0.0) AVAILU = 0.0
      AETUZ = 0.7*AET*(AVAILU/(0.5*AVLFCU(SOIL)))
C     *****   EVALUATE AVAILABLE WATER IN THE LOWER ZONE
      AVAILL = SMLZ(JJ)-PWPLZ(SOIL)
      IF (AVAILL.LE.0.0) AVAILL = 0.0
C     *****   CHECK WHETHER SOIL MOISTURE LIMITS AET FROM THE LOWER ZONE
      IF (SMLZ(JJ)-(0.5*(AVLFCL(SOIL))+PWPLZ(SOIL))) 420,420,430
C     *****   CALCULATE AET FROM THE LOWER ZONE WHEN LIMITED BY SOIL
C     *****    MOISTURE.
  420 AETLZ = 0.3*AET*(AVAILL/(0.5*AVLFCL(SOIL)))
      GOTO 450
  430 AETLZ = AET-AETUZ
      GOTO 450
C     *****   EVALUATE AET FROM BOTH ZONES UNDER WET CONDITIONS
  440 AETUZ = 0.7*AET
      AETLZ = 0.3*AET
      AVAILL = SMLZ(JJ)-PWPLZ(SOIL)
      IF (SMLZ(JJ).LE.0.5*(AVLFCL(SOIL))+PWPLZ(SOIL)) GOTO 420
  450 IF (PERC-SMMAXU) 460,470,470
C     *****
C     *****   EVALUATE SOIL MOISTURE
  460 SMUZ(JJ) = SMUZ(JJ)+PERC-AETUZ-EXCESS
      SMLZ(JJ) = SMLZ(JJ)-AETLZ+EXCESS
      GOTO 560
  470 SMUZ(JJ) = SMUZ(JJ)+SMMAXU-EXCESS-AETUZ
  480 SMMAXL = 0.9*FCL(SOIL)-SMLZ(JJ)
      IF (PERCL+EXCESS-SMMAXL) 490,490,500
  490 SMLZ(JJ) = SMLZ(JJ)+PERCL-AETLZ+EXCESS
      GOTO 560
  500 SMLZ(JJ) = SMLZ(JJ)+SMMAXL-AETLZ
      DPERC = PERCL+EXCESS-SMMAXL
      GOTO 570
C     *****   CALCULATE EVAPORATION FROM SOIL SURFACE FOR MONTHS
C     *****    WHEN KCROP=0.0
C     *****
C     ******************************************************************
C     *****
C     *****   EFFECT OF RESIDUE ON EVAPORATION ADDED SEPTEMBER 15, 1993
C     *****   MUL = DECIMAL REDUCTION IN STAGE 1 & STAGE 2 EVAPORATION
C     *****   DURING NON-GROWING OR FALLOW SEASON WHEN KCROP=0.0
C     *****
C     ******************************************************************
C     *****
  510 AETUZ = 0.0
      AETLZ = 0.0
      IF (SNOVAP.GT.0.0) GOTO 540
      IF (SMUZ(JJ).LT.(FCU(SOIL)-U(SOIL))) GOTO 520
      EO(JJ) = FCU(SOIL)-SMUZ(JJ)
      IF (SMUZ(JJ).GE.FCU(SOIL)) EO(JJ) = 0.0
C     *****   CALCULATE STAGE 1 SOIL EVAPORATION
      UZEVAP = (1-MUL(JJ))*(PETBS-IAET(JJ))
      EO(JJ) = EO(JJ)+UZEVAP
      IF (EO(JJ).GT.U(SOIL)) UZEVAP = EO(JJ)-U(SOIL)
      T(JJ) = 0.0
      GOTO 530
C     *****   CALCULATE STAGE 2 SOIL EVAPORATION
  520 T(JJ) = T(JJ)+1
      UZEVAP =(1-MUL(JJ))*(C(SOIL)*(T(JJ)**0.5)-C(SOIL)*((T(JJ)-1)**0.5)
     1)
  530 IF (UZEVAP.GT.((1-MUL(JJ))*(PETBS-IAET(JJ)))) UZEVAP = (1-MUL(JJ))
     1*(PETBS-IAET(JJ))
      IF (UZEVAP.LT.0.0) UZEVAP = 0.0
      IF (SMUZ(JJ)-PWPUZ(SOIL).LT.UZEVAP) UZEVAP = SMUZ(JJ)-PWPUZ(SOIL)
      GOTO 550
  540 UZEVAP = 0.0
  550 SMUZ(JJ) = SMUZ(JJ)-UZEVAP+PERC-EXCESS
      IF (SMUZ(JJ).LE.PWPUZ(SOIL)) SMUZ(JJ) = PWPUZ(SOIL)
      GOTO 480
  560 IF (SMLZ(JJ).LT.PWPLZ(SOIL)) AETLZ = AETLZ-(PWPLZ(SOIL)-SMLZ(JJ))
      IF (SMLZ(JJ).LE.PWPLZ(SOIL)) SMLZ(JJ) = PWPLZ(SOIL)
      DPERC = SMLZ(JJ)-0.9*FCL(SOIL)
      IF (DPERC.LT.0.0) DPERC = 0.0
      IF (SMLZ(JJ).GT.0.9*FCL(SOIL)) SMLZ(JJ) = 0.9*FCL(SOIL)
  570 AETUZ = AETUZ+UZEVAP
C     *****   SM=SOIL MOISTURE IN THE GROWING ZONE, IN INCHES
C     *****   IAET=AMOUNT OF ET DEDUCTED FROM INTERCEPTION
C     *****    STORAGE (IN.)
C     *****   AETU=ET AMOUNT FROM THE UPPER ZONE (IN.)
C     *****   AETL=ET AMOUNT FROM THE LOWER ZONE (IN.)
C     *****   NDPERC=AMOUNT OF DEEP PERCOLATION (IN.)
C     *****   NIA=INITIAL ABSTRACTION AMOUNT (IN.)
C     *****   NRNOF=PRECIPITATION EXCESS AMOUNT (IN.)
C     *****   STRNOF=PRECIPITATION EXCESS AMOUNT WHICH FLOWS
C     *****    INTO POND (IN.)
C     *****   STRVOL=PRECIPITATION EXCESS VOLUME WHICH FLOWS
C     *****    INTO THE POND (ACRE-INCHES)
      SM(JJ) = SMUZ(JJ)+SMLZ(JJ)
C     *****SOIL MOISTURE DROUGHT INDEX ROUTINE
C     *****THE FOLLOWING CALCULATIONS DETERMINE A SOIL MOISTURE
C     *****DROUGHT INDEX FOR A GIVEN CROP DURING A PREDETERMINED
C     *****GROWING PERIOD - MBEGIN TO MEND.  IT SUMS THE NUMBER
C     *****OF DAYS THAT SOIL MOISTURE IN THE UPPER ZONE IS LESS THAN
C     *****30 PERCENT OF FIELD CAPACITY AND THE MAXIMUM NUMBER OF
C     *****DAYS THE CONDITION PERSISTS DURING EACH YEAR.
C      IF (JJ.EQ.SKPLOT) GOTO 575
C      IF (CROP.NE.JCROP) GOTO 575
C      IF (NM.LT.MBEGIN.OR.NM.GT.MEND) GOTO 575
C      IF (SMUZ(JJ).GE.(0.3*(AVLFCU(SOIL))+PWPUZ(SOIL))) GOTO 574
C      SMDI=SMDI+1
C      PERS=PERS+1
C      IF (PERS.GT.SPER) SPER=PERS
C      GOTO 575
C  574 PERS=0
  575 AETU(JJ) = AETUZ
      AETL(JJ) = AETLZ
      NDPERC(JJ) = DPERC
      NIA(JJ) = IAET(JJ)
      NRNOF(JJ) = RNOF
      TIRRG(JJ) = AMTIRR
      IF (POND(JJ).GT.1) STRNOF = RNOF
      STRVOL = STRVOL+STRNOF*AREA(JJ)
  580 CONTINUE
C     *****
C     *****
C     *****   **** CALCULATION OF SURFACE AREA AND DETERMINATION OF
C     *****          SURFACE EVAPORATION FROM STORAGE FACILITY ***
C     *****
      IF (PONVOL.LE.0.0) GOTO 600
C     *****   THE FOLLOWING CALCULATION EXPRESSES THE VOLUME OF WATER
C     *****    IN THE POND IN CUBIC FEET.
      V = PONVOL*3630
C     *****        THE FOLLOWING CALCULATIONS DETERMINE THE SURFACE
C     *****   AREA OF THE POND AS A FUNCTION OF THE STORAGE VOLUME.
C     *****   AREA IS IN SQUARE FEET AND VOLUME IS IN CUBIC FEET.
C     *****   THE POND IS SHAPED LIKE AN INVERTED FRUSTUM OF A
C     *****   PYRAMID. INPUT PARAMETERS TO SIZE THE FACILITY ARE
C     *****   LENGTH (L) AND WIDTH (W) OF THE BASE IN FEET, AND SIDE
C     *****   SLOPES EXPRESSED AS A RATIO OF RUN:RISE.
C     *****        INPUTS TO THE POND INCLUDE PRECIPITATION EXCESS
C     *****   AND DIRECT PRECIPITATION ONTO THE SURFACE. LOSSES
C     *****   INCLUDE EVAPORATION, EXFILTRATION, AND OVERFLOWS.
C     *****
C     *****   B2 IS THE AREA OF THE SURFACE LIQUID IN SQUARE FEET.
      HAPRX = (PONVOL/VOLMAX)*HMAX
  590 VC = A1*HAPRX+A2*HAPRX**2+A3*HAPRX**3
      DV = V-VC
      DVDH = A1+A4*HAPRX+A5*HAPRX**2
      H = HAPRX+DV/DVDH
      IF (ABS(H-HAPRX).LT.0.1) GOTO 600
      HAPRX = H
      GOTO 590
  600 IF (H.GT.HMAX) H = HMAX
      B2 = (W+2.*S*H)*(L+2.*S*H)
      IF (FROZE.EQ.1) LAKEVP = 0.0
      LKEVPT = LKEVPT+LAKEVP
      TOTLKE(NM) = TOTLKE(NM)+LAKEVP
      SEVAP = B2*(LAKEVP/12)
C     *****   SEVAP IS THE VOLUME OF WATER EXTRACTED FROM THE STORAGE
C     *****    FACILITY BY FREE SURFACE EVAPORATION.
      IF ((SEVAP/3630).GT.PONVOL) SEVAP = PONVOL*3630
      PONVOL = PONVOL-(SEVAP/3630)
      IF (PONVOL.LE.0.0) PONVOL = 0.0
C     *****   SUBROUTINE SEEPGE CALCULATES THE DAILY AMOUNT OF
C     *****    EXFILTRATION FORM THE POND
      CALL SEEPGE (B2,PONVOL,DASEEP,DSEPRT)
C     *****
C     *****   THE VOLUMES OF CALCULATED RUNOFF AND DIRECT PRECIPITATION
C     *****    ARE ADDED TO THE POND VOLUME
      PRCPVL = PRECIP*B2/43560.0
C     *****   THE VOLUME OF WATER REMAINING AT THE END OF THE DAY IS
C     *****    EXPRESSED IN ACRE-INCHES.
      PONVOL = PONVOL+PRCPVL+STRVOL
C     *****
C     *****   THE FOLLOWING STATEMENTS DETERMINE WHETHER THE POND HAS
C     *****   OVERFLOWED AND IF SO, THE QUANTITY DISCHARGED
      DSCHRG = 0.0
      IF (PONVOL-VOLMAX) 630,630,610
  610 DSCHRG = PONVOL-VOLMAX
      IF (DSCHRG.GE.PEAK) PEAK = DSCHRG
C     *****   NODSCH=TOTAL NUMBER OF DISCHARGE DAYS
      NODSCH = NODSCH+1
      DSCVOL = DSCVOL+DSCHRG
C     *****   VOLUME CALCULATIONS TO INCREASE THE POND SIZE FOR 100%
C     *****    CONTROL
      PCNTRL = CONTRL*100.0
      VOLCHG = CONTRL*PONVOL-VOLMAX+VOLCHG
      VOLMX1 = VOLMAX+VOLCHG
      VCB = 2*S*HMAX
      VCC = ((4./3.)*S**2.0)-(VOLMX1*3630./HMAX)
      VCD = VCB**2-(4.*VCC)
      VC1 = SQRT(VCD)
      DIM = (VC1-VCB)/2.0
C     *****   WRITE DAILY OVERFLOW MESSAGE
C     *****************************************************************
C     *****
C     *****  RESIZING OF POND NOT NEEDED.  THESE LINES
C     *****  WERE COMMENTED OUT SEPTEMBER 08, 1993.   JKK
C     *****
C     *****************************************************************
C     *****
C      WRITE (5,620) NM,ND,YEAR,DSCHRG,VOLMX1,PCNTRL,DIM
C  620 FORMAT (/,1X,I2,'/',I2,'/',I2,' - DISCHARGE OF ',F7.2,' ACRE-IN ',
C     1'REQUIRES VOLUME OF',F8.2,' ACRE-IN FOR ',F6.2,' % CONTROL WHERE L
C     2 = W = ',F8.2)
      PONVOL = VOLMAX
C     *****
C     *****************************************************************
C     *****
  630 CONTINUE
C     *****
C     *****              UPDATE SOIL MOISTURE ACCOUNTS
C     *****
      DO 632 I3=1,NPLOTS
      SMACCT(NM,2,I3) = SMACCT(NM,2,I3)+PRECIP
      SMACCT(NM,3,I3) = SMACCT(NM,3,I3)+NIA(I3)
      SMACCT(NM,4,I3) = SMACCT(NM,4,I3)+NRNOF(I3)
      SMACCT(NM,5,I3) = SMACCT(NM,5,I3)+NDPERC(I3)
      SMACCT(NM,6,I3) = SMACCT(NM,6,I3)+AETU(I3)+AETL(I3)
C      WRITE (*,576) I3,AETU(I3),AETL(I3)
      SMACCT(NM,7,I3) = SMACCT(NM,7,I3)+SM(I3)-SMPD(I3)
C     *****
C     ***** IRRIGATION AMOUNT STORAGE ACCOUNT
C     *****
      SMACCT(NM,9,I3) = SMACCT(NM,9,I3)+TIRRG(I3)
C     *****
  632 SMPD(I3) = SM(I3)
C     *****              UPDATE POND ACCOUNT
C     *****
      PDACCT(NM,2) = PDACCT(NM,2)+PRCPVL
      PDACCT(NM,3) = PDACCT(NM,3)+STRVOL
      PDACCT(NM,4) = PDACCT(NM,4)+SEVAP/3630.0
      PDACCT(NM,5) = PDACCT(NM,5)+DASEEP
      PDACCT(NM,6) = PDACCT(NM,6)+DSCHRG
      PDACCT(NM,7) = PDACCT(NM,7)+(PONVOL-PDVOL)
      IF (ND.EQ.NDAYS) PDACCT(NM,8) = H
      PDVOL = PONVOL
      IF (PONVOL.GT.MAXVOL) MAXVOL = PONVOL
C     ******************************************************************
C     ***** PET AMOUNT STORAGE ACCOUNT
      PETACT(NM) = PETACT(NM)+PET
C     *****
C     *****
C     ***** 
C     *****************************************************************
C     *****  PRINT DAILY INFORMATION FOR LAST YEAR OF SIMULATION TO A FILE.
C     *****  DVAL IS AN ARRAY TO STORE DAILY VALUES FOR PRINTING.
C     *****
      IF (NY.NE.YEARS) GO TO 649 
      DO 635 LL=1,NPLOTS
      DVAL(LL,1)=TIRRG(LL)
      DVAL(LL,2)=NIA(LL)
      DVAL(LL,3)=NRNOF(LL)
      DVAL(LL,4)=NDPERC(LL)
      DVAL(LL,5)=AETU(LL)+AETL(LL)
      DVAL(LL,6)=SM(LL)
  635 CONTINUE 
      NTMX=TMAX(ND)
      NTMN=TMIN(ND)
      WRITE (16,640) NM,ND,NTMX,NTMN,PRECIP,PET,
     1((DVAL(L6,L5),L5=1,6),L6=1,NPLOTS)
  640 FORMAT (I2,I3,2I4,2F5.2,18(5F5.2,F6.2))     
C     *****   STATISTICAL PRECIPITATION AND RUNOFF FREQUENCY
C     *****    CALCULATIONS
  649 IF (PREC(ND).GT.0.0) CTPDAY = CTPDAY+1.0
      IPLOT = NPLOTS
      IF (NPLOTS.GT.4) NPLOTS = 4
      DO 660 II=1,25
      IF (PREC(ND).GT.FREQ(II)) CTP(II) = CTP(II)+1.0
      CNTR = 0.0
      DO 650 KI=1,NPLOTS
      IF (NRNOF(KI).GT.0.0.AND.II.EQ.1) CTRDAY(KI) = CTRDAY(KI)+1.0
      IF (NRNOF(KI).GT.0.0) CNTR = 1.0
  650 IF (NRNOF(KI).GT.FREQ(II)) CTR(II,KI) = CTR(II,KI)+1.0
  660 IF (PREC(ND).GT.FREQ(II).AND.CNTR.EQ.1.0) CTPR(II) = CTPR(II)+1.0
      NPLOTS = IPLOT
C      IF (NM.EQ.MPOND.AND.ND.EQ.1) VOLPER=100.*PONVOL/VOLMAX
  670 CONTINUE
C     *****
C     *****   ***** EXIT DAILY LOOP *****
C     *****
C     *****   UPDATE ACCOUNTS
      PETACT(13)=PETACT(13)+PETACT(NM)
      PDACCT(NM,1) = AMONTH(NM)
      DO 680 J=2,7
      PDACCT(13,J) = PDACCT(13,J)+PDACCT(NM,J)
  680 CONTINUE
      DO 700 MP=1,NPLOTS
      SMACCT(NM,8,MP) = SM(MP)
      DO 690 J=2,9
  690 SMACCT(13,J,MP) = SMACCT(13,J,MP)+SMACCT(NM,J,MP)
      SMACCT(NM,1,MP) = AMONTH(NM)
  700 CONTINUE
  710 CONTINUE
C     *****
C     *****   ***** EXIT MONTHLY LOOP *****
C     *****
      PDACCT(13,1) = AMONTH(13)
      DO 720 MP=1,NPLOTS
      SMACCT(13,1,MP) = AMONTH(13)
      SMACCT(13,8,MP) = SMACCT(12,8,MP)
  720 CONTINUE
C     *****   DSNOW=CHANGE IN SNOWPACK STORAGE (IN.)
C     *****   PACKPY=SNOWPACK STORAGE FOR NEXT YEAR'S CALCULATIONS (IN)
C     *****   DSRNFF=ANNUAL PRECIPITATION EXCESS FROM EACH LAND USE (IN.)
C     *****   AINTER=ANNUAL INTERCEPTION AMOUNT FOR EACH LAND USE (IN.)
C     *****   AAETRS=ANNUAL ACTUAL ET FROM EACH LAND USE (IN.)
C     *****   ACHSOM=ANNUAL CHANGE IN SOIL MOISTURE FOR EACH
C     *****    LAND USE (IN.)
C     *****   DSPERC=ANNUAL DEEP PERCOLATION AMOUNT FOR EACH
C     *****    LAND USE (IN.)
C     *****   PEACCT=ANNUAL PRECIPITATION EXCESS FROM EACH LAND USE (IN.)
C     *****   TPREC=TOTAL PRECIPITATION FOR SIMULATION RUN (IN.)
C     *****   DRY=LOWEST ANNUAL PRECIPITATION AMOUNT (IN.)
C     *****   WET=GREATEST ANNUAL PRECIPITATION AMOUNT (IN.)
C     *****   NYDSCH=TOTAL NUMBER OF YEARS HAVING A DISCHARGE
C     *****   PRCPT=TOTAL VOLUME OF DIRECT PRECIPITATION ON THE
C     *****    POND SURFACE DURING THE SIMULATION RUN (ACRE-INCHES)
C     *****   PEINT=TOTAL VOLUME OF PRECIPITATION EXCESS FLOWING INTO
C     *****    POND DURING THE SIMULATION RUN (ACRE-INCHES)
C     *****   EVAPT=TOTAL VOLUME OF EVAPORATION FROM THE POND SURFACE
C     *****    DURING THE SIMULATION RUN (ACRE-INCHES)
C     *****   EXFILT=TOTAL VOLUME OF EXFILTRATION FROM THE POND
C     *****    DURING THE SIMULATION RUN (ACRE-INCHES)
C     *****   MAXVOL=MAXIMUM % OF POND VOLUME UTILIZED DURING THE
C     *****    SIMULATION RUN
C     *****   EVAPLK=TOTAL CALCULATED LAKE EVAPORATION FOR SIMULATION
C     *****    RUN (INCHES)
C     *****   DAYLD=VOLUME OF PRECIPITATION EXCESS FROM THE POND
C     *****    WATERSHED (INCHES)
      PETTAC=PETTAC+PETACT(13)
      PDACCT(13,8) = PDACCT(12,8)
      DSNOW = PACK(1)-PACKPY
      PACKPY = PACK(1)
      DO 730 KT=1,NPLOTS
      DSRNFF(KT) = DSRNFF(KT)+SMACCT(13,4,KT)
      AINTER(KT) = AINTER(KT)+SMACCT(13,3,KT)
      AAETRS(KT) = AAETRS(KT)+SMACCT(13,6,KT)
      ACHSOM(KT) = ACHSOM(KT)+SMACCT(13,7,KT)
      DSPERC(KT) = DSPERC(KT)+SMACCT(13,5,KT)
      PEACCT(KT) = SMACCT(13,4,KT)
      AIRRIG(KT) = AIRRIG(KT)+SMACCT(13,9,KT)
  730 CONTINUE
      TPREC = TPREC+SMACCT(13,2,1)
      IF (YEAR.EQ.YSTART) DRY = SMACCT(13,2,1)
      IF (SMACCT(13,2,1).GE.WET) WET = SMACCT(13,2,1)
      IF (SMACCT(13,2,1).LE.DRY) DRY = SMACCT(13,2,1)
      IF (PDACCT(13,6).GT.0.0) NYDSCH = NYDSCH+1
      PRCPT = PRCPT+PDACCT(13,2)
      PEINT = PEINT+PDACCT(13,3)
      EVAPT = EVAPT+PDACCT(13,4)
      EXFILT = EXFILT+PDACCT(13,5)
      MAXVOL = MAXVOL*100.0/VOLMAX
      EVAPLK = EVAPLK+LKEVPT
      DAYLD = PDACCT(13,6)/DA
      DAYPE = (PDACCT(13,4)-PDACCT(13,2))/DA
      PDSEEP =PDACCT(13,5)/DA	
C     *****
C     *****
C     *****                         PRINT POND ACCOUNT
C     *****
      GOTO (740,770,740,770,740,770) OUTPUT
C     *****
C     *****             PRINT POND ACCOUNT ANNUAL VALUES ONLY
C     *****
  740 WRITE (5,750) YEAR
  750 FORMAT (/,15X,'WATER ACCOUNT FOR THE POND IN ACRE-INCHES FOR ',
     1I4,/,79('-'),/,7X,'INFLOWS',25X,'OUTFLOWS',/,22('-'),2X,38('-'),1X
     2,'DELTA   ENDING',/,'PRECIP. PRECIP. EXCESS  SURFACE EVAP.   SEEPA
     3GE     DISCHARGE  VOLUME  DEPTH,FT')
      WRITE (5,760) (PDACCT(13,K),K=2,8)
  760 FORMAT (F6.1,F11.1,F15.1,F13.1,F14.1,F9.1,F9.2)
      GOTO 800
C     *****
C     *****             PRINT POND ACCOUNT ON MONTHLY BASIS
C     *****
  770 WRITE (5,780) YEAR
  780 FORMAT (/,15X,'WATER ACCOUNT FOR THE POND IN ACRE-INCHES FOR ',
     1I4,/,79('-'),/,13X,'INFLOWS',21X,'OUTFLOWS',/,6X,22('-'),2X,31('-'
     2),'  DELTA   ENDING'/,'MONTH PRECIP. PRECIP. EXCESS  SURFACE EVAP.
     3 SEEPAGE DISCHARGE  VOLUME  DEPTH,FT')
      WRITE (5,790) ((PDACCT(I,K),K=1,8),I=1,13)
  790 FORMAT (A4,F6.1,F13.1,F14.1,F12.1,F9.1,F10.1,F9.2)
  800 WRITE (5,810) PACK(1),YEAR,DSNOW
  810 FORMAT (/,'LAND USE NO. 1 SNOW PACK MOISTURE STORAGE INFORMATION (
     1INCHES):',/,'  MOISTURE STORED IN SNOW PACK ON DEC. 31---',F5.2,/,
     2'  CHANGE IN STORAGE DURING ',I4,' =',F5.2//,'  CHANGE IN SOIL MOI
     3STURE = (INPUTS) - (OUTPUTS) +/- (CHANGE IN SNOW STORAGE)')
      DO 920 N3=1,NPLOTS
      GOTO (840,870,840,870,840,870) OUTPUT
C     *****
C     *****      PRINT SOIL MOISTURE ACCOUNT ANNUAL TOTALS ONLY
C     *****
  840 WRITE (5,850) N3,YEAR
  850 FORMAT (/,'LAND USE NO.',I3,'  WATER BALANCE (INCHES) FOR LAND USE
     1 FOR ',I4,/,79('-'),/,3X,'INPUTS',23X,'OUTPUTS',20X,'SOIL MOISTURE
     2',/,13('-'),4X,39('-'),2X,15('-'),/,'PRECIP. IRRIG.    INTRCPTN PR
     3ECIP.EXCESS PERC.   AET       CHANGE  TOTAL')
      WRITE (5,860) SMACCT(13,2,N3),SMACCT(13,9,N3),(SMACCT(13,N2,N3),N2
     1=3,8)
  860 FORMAT (F6.2,F7.2,F11.2,F12.2,F9.2,F8.2,F10.2,F9.2,F8.2)
C      IF (CROP.NE.JCROP) GOTO 920
C      IF (SKPLOT.EQ.N3) GOTO 920
C      WRITE (5,865) SMDI,SPER,AMONTH(MBEGIN),AMONTH(MEND)
C  865 FORMAT (4X,'SOIL MOISTURE DROUGHT INDEX = ',I4,' DAYS, WITH ',
C     1I4,' CONSECUTIVE DAYS'/5X,'WITH LESS THAN ADEQUATE SOIL MOISTURE
C     2 DURING ',A4,' THROUGH ',A4)
C      WRITE (5,866) VOLPER,AMONTH(MPOND)
C  866 FORMAT ('POND WAS ',F6.2,'% FULL AT BEGINNING OF 'A4)
      GOTO 920
C     *****
C     *****       PRINT SOIL MOISTURE ACCOUNTS ON MONTHLY BASIS
C     *****
  870 WRITE (5,880) N3,YEAR
  880 FORMAT (/,'LAND USE NO.',I3,'  WATER BALANCE (INCHES) FOR LAND USE
     1 FOR ',I4,/,79('-'),/,10X,'INPUTS',19X,'OUTPUTS',20X,'SOIL MOISTUR
     2E',/,6X,14('-'),2X,36('-'),3X,15('-'),/,'MONTH PRECIP. IRRIG.  INT
     3RCPTN PRECIP.EXCESS PERC.  AET       CHANGE  TOTAL')
      DO 900 N1=1,13
      WRITE (5,890) (SMACCT(N1,N2,N3),N2=1,2),SMACCT(N1,9,N3),(SMACCT(N1
     1,N2,N3),N2=3,8)
  890 FORMAT (A4,F7.2,F8.2,F9.2,F11.2,F10.2,F7.2,F11.2,F8.2)
  900 CONTINUE
  920 CONTINUE
      GOTO (930,941,930,941,930,941) OUTPUT
C     *****************************************************************
C     *****
C     *****  This section revised November 26, 1990 to include precip.,
C     *****  lake evap. pond excess, and the set of annual values,
C     *****  and to report in actual depths.
C     *****  Further revised September 03, 1993 to include NET pond evap.
C     *****  (Evaporation from pond- precipitation onto pond surface)
C     *****  in depth over its drainage area.
C     *****
C     *****   PRINT DATA FILE ANNLSURF.OUT FOR ANNUAL VALUES 
C     *****    as follows:
C     *****
C     *****  YEAR, PRECIP, LAKE EVAP, NET POND EVAP, POND OVERFLOW,
C     *****  PRECIP EXCESS FOR EACH PLOT
C     *****
C     *****************************************************************
  930 WRITE (4,931) YEAR,SMACCT(13,2,1),LKEVPT,DAYPE,DAYLD,
     1(PEACCT(I),I=1,NPLOTS)
  931 FORMAT (I4,22F6.2)
      GOTO 946
C     *****
C     ******************************************************************
C     *****  Added November 30, 1989 to print monthly values to disk.
C     *****  Revised September 03, 1993 to add NET pond evaporation.
C     *****  (Evaporation from pond- precipitation onto pond surface)
C     *****  PDOUTF=Pond outflow in inches over its drainage area
C     *****  PDOUTE=NET Pond evaporation in inches over its drainage area
C     *****  
C     *****  PRINT DATA FILE MNTHSURF.OUT FOR MONTHLY VALUES
C     *****   as follows:
C     *****
C     *****  YR, MO, PRECIP, LAKE EVAP, NET POND EVAP, POND OUTFLOW, 
C     *****    PRECIP EXCESS FOR EACH PLOT
C     *****
C     *****  TOTLKE(I)=Total lake evaporation for month (I)
C     *****
  941 DO 945 I=1,12
      PDOUTF=PDACCT(I,6)/DA
      PDOUTE=(PDACCT(I,4)-PDACCT(I,2))/DA
      WRITE (6,942) YEAR,I,SMACCT(I,2,1),TOTLKE(I),PDOUTE,PDOUTF,
     1(SMACCT(I,4,J),J=1,NPLOTS)
  942 FORMAT (I4,I3,2F6.2,20F6.3)
      TOTLKE(I) = 0.0
  945 CONTINUE
  946 GOTO (950,953,950,953,950,953) OUTPUT
C     *****
C     ******************************************************************
C     *****  Added September 03, 1993 to print annual values of perco-
C     *****  lation to disk.  PDSEEP=Pond seepage expressed as a depth
C     *****  over its drainage area.  This keeps units consistent with
C     *****  the rest of the water balance accounts.
C     *****
C     *****  PRINT DATA FILE ANNLPERC.OUT FOR ANNUAL VALUES 
C     *****   as follows:
C     *****
C     *****  YR, POND SEEPAGE, DEEP PERCOLATION FROM EACH PLOT
C     *****
C     ******************************************************************
C     *****
  950 WRITE (7,951) YEAR,PDSEEP,(SMACCT(13,5,I),I=1,NPLOTS)
  951 FORMAT (I4,19F6.2)
C     *****
C     ******************************************************************
C     *****
C     *****  ADDED SEPTEMBER 15, 1993 TO PRINT ANNUAL IRRIGATION AMOUNTS
C     *****
      IF (IPLOT.EQ.0) GOTO 960
      WRITE (10,952) YEAR,(SMACCT(13,9,I),I=1,NPLOTS)
  952 FORMAT (I4,18F6.2)
      GOTO 960
C     *****
C     ******************************************************************
C     *****
C     *****  ADDED SEPTEMBER 15, 1993 TO PRINT MONTHLY IRRIGATION AMOUNTS
C     *****
  953 IF (IPLOT.EQ.0) GOTO 956
      DO 955 I=1,12
      WRITE (9,954) YEAR,I,(SMACCT(I,9,J),J=1,NPLOTS)
  954 FORMAT (I4,I3,18F6.2)
  955 CONTINUE
C     *****
C     ******************************************************************
C     *****
C     *****  Added September 03, 1993 to print monthly values of perco-
C     *****  lation to disk.  PONDSP=Pond seepage expressed as a depth
C     *****  over its drainage area.  This keeps units consistent with
C     *****  the rest of the water balance accounts.
C     *****
C     *****  PRINT DATA FILE MNTHPERC.OUT FOR MONTHLY VALUES 
C     *****   as follows:
C     *****
C     *****  YR, MO, POND SEEPAGE, DEEP PERCOLATION FROM EACH PLOT
C     *****
  956 DO 958 I=1,12
      PONDSP=PDACCT(I,5)/DA
      WRITE (8,957) YEAR,I,PONDSP,(SMACCT(I,5,J),J=1,NPLOTS)
  957 FORMAT (I4,I3,19F6.3)
  958 CONTINUE
C     *****
C     ******************************************************************
  960 CONTINUE
C     *****
      WRITE (*,961)
  961 FORMAT (//,'      Now preparing final summary and doing post-proce
     1ssing, if requested.'//)
C     *****
C     *****   ***** EXIT YEARLY LOOP *****
C     *****
C     *****
C     *****   CALCULATE AVERAGE ANNUAL VALUES
C     *****   RANGE=RANGE OF ANNUAL PRECIPITATION AMOUNTS (IN.)
C     *****   AVGMD=AVERAGE MOISTURE DEFICIT (IN.)
  970 EVAP = EVAPLK/YEARS
      APREC = TPREC/YEARS
      RANGE = WET-DRY
      AVGMD = EVAP-APREC
      PRCPA = PRCPT/YEARS
      PEINA = PEINT/YEARS
      EVAPA = EVAPT/YEARS
      EXFILA = EXFILT/YEARS
      DSCRGA = DSCVOL/YEARS
      PETAVG = PETTAC/YEARS
      IF (NYDSCH) 990,990,980
C     *****   ADYD=AVG. NUMBER OF DISCHARGES/YEARS HAVING A DISCHARGE
C     *****   AVANDC=AVERAGE ANNUAL DISCHARGE VOLUME
  980 ADYD = NODSCH/NYDSCH
      AVANDC = DSCVOL/NYDSCH
      DSCRG = DSCVOL/NODSCH
      GOTO 1000
  990 ADYD = 0.0
      DSCRG = 0.0
      AVANDC = 0.0
 1000 DO 1010 J=1,NPLOTS
      DSPERC(J) = DSPERC(J)/YEARS
      DSRNFF(J) = DSRNFF(J)/YEARS
      ACHSOM(J) = ACHSOM(J)/YEARS
      AINTER(J) = AINTER(J)/YEARS
      AIRRIG(J) = AIRRIG(J)/YEARS
 1010 AAETRS(J) = AAETRS(J)/YEARS
      IF (NPLOTS.GT.4) NPLOTS = 4
      DO 1030 J=1,25
      PRECAC(J,3) = CTP(J)
      IF (CTPDAY.GT.0.0) CTP(J) = CTP(J)/CTPDAY*100.0
      PRECAC(J,1) = ASTAT(J)
      PRECAC(J,2) = CTP(J)
      PRECAC(J,4) = CTPR(J)
      DO 1020 I=1,NPLOTS
      INUM1 = 5+I
      RUNACC(J,INUM1) = CTR(J,I)
      IF (CTRDAY(I).GT.0.0) CTR(J,I) = CTR(J,I)/CTRDAY(I)*100.0
      INUM = I+1
 1020 RUNACC(J,INUM) = CTR(J,I)
 1030 RUNACC(J,1) = ASTAT(J)
      NPLOTS = IPLOT
C     *****
C     *****   PRINT FINAL SUMMARY
C     *****
      WRITE (5,1040)
 1040 FORMAT (////,26X,'***** FINAL SUMMARY *****',/)
      WRITE (5,1050) LOCATION
 1050 FORMAT ('SUB-BASIN:  ',A48,/)
      WRITE (5,1060) YSTART,YEND,YEARS
 1060 FORMAT (5X,'PERIOD SIMULATED:  'I4,' TO ',I4,' =',I3,' YEARS',//,
     1'METEOROLOGICAL SUMMARY',/)
      WRITE (5,1070) EVAP
 1070 FORMAT (5X,'AVERAGE ANNUAL LAKE EVAPORATION=',F6.2,' INCHES')
      WRITE (5,1080) APREC
 1080 FORMAT (5X,'AVERAGE ANNUAL PRECIPITATION=',F6.2,' INCHES')
      WRITE (5,1090) RANGE,DRY,WET
 1090 FORMAT (5X,'PRECIPITATION RANGE=',F6.2,' INCHES',/,8X,'(FROM A LOW
     1 OF',F6.2,' INCHES TO A HIGH OF',F6.2,' INCHES)')
      WRITE (5,1100) AVGMD
 1100 FORMAT (5X,'AVERAGE MOISTURE DEFICIT=',F6.2,' INCHES')
      WRITE (5,1105) PETAVG
 1105 FORMAT (5X,'AVERAGE POTENTIAL EVAPOTRANSPIRATION=',F6.2,' INCHES',
     1/)
      WRITE (5,1110)
 1110 FORMAT ('SUMMARY OF POND OPERATIONS (ALL VOLUMES ARE IN ACRE-INCHE
     1S)',/)
      WRITE (5,1120) NYDSCH
 1120 FORMAT (5X,'NUMBER OF YEARS HAVING AN OVERFLOW =',I3)
      WRITE (5,1130) ADYD
 1130 FORMAT (5X,'AVERAGE NUMBER OF OVERFLOWS PER YEAR HAVING AN OVERFLO
     1W =',F6.2)
      WRITE (5,1140) DSCRG
 1140 FORMAT (5X,'AVERAGE DAILY OVERFLOW VOLUME =',F8.2)
      WRITE (5,1150) PEAK
 1150 FORMAT (5X,'MAXIMUM DAILY OVERFLOW VOLUME =',F8.2)
      WRITE (5,1160) AVANDC
 1160 FORMAT (5X,'AVERAGE OVERFLOW VOLUME PER YEAR HAVING AN OVERFLOW =
     1',F9.2)
      WRITE (5,1170) DSCVOL
 1170 FORMAT (5X,'TOTAL OVERFLOW VOLUME=',F10.2)
      WRITE (5,1180) PRCPA
 1180 FORMAT (5X,'AVERAGE ANNUAL DIRECT PRECIPITATION VOLUME=',F8.2)
      WRITE (5,1190) PEINA
 1190 FORMAT (5X,'AVERAGE ANNUAL PRECIPITATION EXCESS VOLUME FLOWING INT
     1O POND=',F9.2)
      WRITE (5,1200) EVAPA
 1200 FORMAT (5X,'AVERAGE ANNUAL EVAPORATION VOLUME=',F8.2)
      WRITE (5,1210) EXFILA
 1210 FORMAT (5X,'AVERAGE ANNUAL SEEPAGE VOLUME=',F8.2)
      WRITE (5,1220) DSCRGA
 1220 FORMAT (5X,'AVERAGE ANNUAL OVERFLOW VOLUME =',F10.2,/)
      WRITE (5,1240)
 1240 FORMAT ('SUMMARY OF AVERAGE ANNUAL WATER BALANCE FOR EACH LAND USE
     1')
      DO 1310 J=1,NPLOTS
      WRITE (5,1250) J
 1250 FORMAT (/,5X,'LAND USE NO.',I3)
 1255 WRITE (5,1256) AIRRIG(J)
 1256 FORMAT (/,9X,'IRRIGATION ADDED =',F6.2,' INCHES')
      WRITE (5,1260) DSRNFF(J)
 1260 FORMAT (9X,'PRECIPITATION EXCESS =',F6.2,' INCHES')
      WRITE (5,1270) DSPERC(J)
 1270 FORMAT (9X,'PERCOLATION =',F5.2,' INCHES')
      WRITE (5,1280) AINTER(J)
 1280 FORMAT (9X,'INTERCEPTION =',F5.2,' INCHES')
      WRITE (5,1290) AAETRS(J)
 1290 FORMAT (9X,'EVAPOTRANSPIRATION = ',F5.2,' INCHES')
      WRITE (5,1300) ACHSOM(J)
 1300 FORMAT (9X,'CHANGE IN SOIL MOISTURE =',F5.2,' INCHES')
 1310 CONTINUE
C     *****
C     ***** PRINT STATISTICAL SUMMARY
C     *****
      WRITE (5,1320)
 1320 FORMAT (//,'SUMMARY OF STATISTICAL DATA',/)
      WRITE (5,1330)
 1330 FORMAT ('PRECIPITATION FREQUENCY DATA',//,'INTENSITY',5X,
     1'FREQUENCY',6X,'FREQUENCY',4X,'RUNOFF FREQ.',/2X,'(IN.)',8X,'( %
     2)',9X,'(DAYS)',9X,'(DAYS)',/)
      WRITE (5,1340) ((PRECAC(I,J),J=1,4),I=1,25)
 1340 FORMAT (A6,3F15.2)
      WRITE (5,1350)
 1350 FORMAT (//,'RUNOFF FREQUENCY DATA',//,'INTENSITY',8X,
     1'FREQUENCY ( % )',22X,'FREQUENCY (DAYS)',/,'  (IN.)',2X,'L USE 1 L
     2 USE 2 L USE 3 L USE 4',5X,'L USE 1 L USE 2 L USE 3 L USE 4',/)
      WRITE (5,1360) ((RUNACC(I,J),J=1,9),I=1,25)
 1360 FORMAT (2X,A4,2X,4F8.2,4X,4F8.2)
      DO 1370 I=3,10      
      CLOSE (I,STATUS='KEEP')
 1370 CONTINUE
      GOTO (1400,1400,1400,1400,2900,2900) OUTPUT 
C     *****
C     ******************************************************************
C     *****
C     *****  POST-PROCESSING SECTION TO CALCULATE SURFACE AND
C     *****  PERCOLATION/GROUNDWATER YIELD FOR SUB-BASIN
C     *****
C     *****  TAREA = SUB-BASIN AREA, ACRES
C     *****  MD = ANNUAL MOISTURE DEFICIT,INCHES
C     *****  MT = MONTH
C     *****  TLF = TRANSMISSION LOSS FACTOR
C     *****  PXCLU = ANNUAL PRECIP EXCESS FROM EACH LAND USE, INCHES
C     *****  PLU = PERCENT OF LAND USE
C     *****  PRC = ANNUAL PRECIPITATION, INCHES
C     *****  PNDYLD = TOTAL POND SURFACE YIELD FOR SUB-BASIN, ACRE-IN.
C     *****  PNDSEP = TOTAL POND SEEPAGE YIELD FOR SUB-BASIN, ACRE-IN.
C     *****  PNDEV = POND EVAPORATION OVER DRAINAGE AREA, INCHES
C     *****  PNDOUT = POND OVERFLOW OVER DRAINAGE AREA, INCHES
C     *****  NPD = NUMBER OF PONDS IN SUB-BASIN
C     *****  PSEEP = SEEPAGE FROM POND OVER TYPICAL DRAINAGE AREA, INCHES
C     *****  TSUYLD = TOTAL SURFACE YIELD FOR SUB-BASIN, INCHES
C     *****  TPRYLD = TOTAL PERCOLATION YIELD FOR SUB-BASIN, INCHES
C     *****  SYLDLU = SURFACE YIELD FOR A LAND USE, ACRE-IN.
C     *****  TAREA = TOTAL SUB-BASIN AREA, ACRES
C     *****  PRYLD = PERCOLATION YIELD FOR A LAND USE, ACRE-IN.
C     *****  TBSUYL = RUNNING TOTAL GROSS SUB-BASIN SURFACE YIELD, ACRE-IN.
C     *****  SYLDNT = NET SUB-BASIN SURFACE YIELD, ACRE-IN.
C     *****  TTSUYL = RUNNING TOTAL NET SUB-BASIN SURFACE YIELD, ACRE-IN.
C     *****  SYLDAF = NET SUB-BASIN SURFACE YIELD, ACRE-FT
C     *****  TSYLDA = RUNNING TOTAL NET SUB-BASIN YIELD, ACRE-FT
C     *****  PYLDAF = TOTAL PERCOLATION YIELD FOR SUB-BASIN, ACRE-FT
C     *****  TPYLDA = RUNNING TOTAL PERCOLATION YIELD FOR SUB-BASIN, ACRE-FT
C     *****  TTYLD = RUNNING TOTAL SURFACE AND PERCOLATION YIELD, ACRE-FT
C     *****  WTLF = SURFACE YIELD WEIGHTED TRANSMISSION LOSS FACTOR FOR RUN
C     *****  AVGSUF = AVERAGE NET SURFACE YIELD FOR SUB-BASIN FOR RUN, ACRE-FT
C     *****  AVGPER = AVERAGE PERCOLATION YIELD FOR SUB-BASIN FOR RUN, ACRE-FT
C     *****  AVGYLD = AVERAGE TOTAL YIELD FOR SUB-BASIN FOR RUN, ACRE-FT
C     *****  PRP = MONTHLY PRECIPITATION, INCHES 
C     *****  PRCT = RUNNING TOTAL PRECIPITATION FOR YEAR, INCHES 
C     *****  LAKEVT = RUNNING TOTAL LAKE EVAPORATION FOR YEAR, INCHES
C     *****  LAKEP = MONTHLY LAKE EVAPORATION, INCHES
C     *****  PNDOT = MONTHLY POND OVERFLOW, INCHES
C     *****  PXCLUM = PRECIP EXCESS FOR EACH LAND USE ON A MONTHLY BASIS, IN.
C     *****
 1400 OPEN (12,FILE='TEMP',STATUS='OLD')
 1500 GOTO (1600,2000,1600,2000) OUTPUT
C     *****
C     ******************************************************************
C     *****
C     *****  OPEN PREVIOUS OUTPUT FILES FOR POST PROCESSING ON ANNUAL
C     *****  BASIS
C     *****
C     ******************************************************************
 1600 OPEN(4,FILE='ANNLSURF.OUT',STATUS='OLD')
      OPEN(7,FILE='ANNLPERC.OUT',STATUS='OLD')
      OPEN(10,FILE='ANNLYLD.OUT',STATUS='UNKNOWN')
      STRNG=FIXED
      IF (LYEAR.EQ.999) STRNG=HIST
      WRITE(10,1610) LOCATION,STRNG
C     *****
C     ******************************************************************
C     *****
 1610 FORMAT ('SUMMARY OF SURFACE AND PERCOLATION/GROUNDWATER YIELD FROM
     1',//5X,A48,//,A34,/)
      IF (LYEAR.NE.999) GOTO 1611
      GOTO 1612
 1611 WRITE (10,2112) LYEAR
      GOTO 1613
 1612 WRITE (10,2115) 
 1613 WRITE (10,1614) TAREA, DA
 1614 FORMAT('TOTAL SUB-BASIN AREA = ',F7.0,' ACRES AND TYPICAL POND WAT
     1ERSHED = ',F5.0,' ACRES',//,33X,'ALL VALUES UNLESS SPECIFIED ARE I
     2N INCHES')
      WRITE (10,1620)
 1620 FORMAT ('      ESTIMATED,ACRE-FEET TRLS        LAKE MOIST. NO. OVR
     1 WTRSHD  LAND USE 01    LAND USE 02    LAND USE 03    LAND USE 04  
     2   LAND USE 05    LAND USE 06    LAND USE 07    LAND USE 08    LAN
     3DUSE 09    LAND USE 10    LAND USE 11    LAND USE 12    LAND USE 1
     43    LAND USE 14    LAND USE 15    LAND USE 16    LAND USE 17    L
     5AND    5 USE 18')
      WRITE (10,1630)
 1630 FORMAT ('YEAR  SURF   PERC   TOTAL FCTR PRECIP EVAP DEFCT PNDS SUR
     1F SEEP ',18(' -%- SURF PERC '))
      DO 1800 I=1,YEARS
      TPRYLD=0.0
      TSUYLD=0.0
      READ (4,*) YEAR,PRC,LAKEVP,PNDEV,PNDOUT,(PXCLU(II),II=1,NPLOTS)
      MD = LAKEVP-PRC
      TLF = 1.00+6.00E-6*MD**3+5.13E-24*EXP(MD) 
      IF (MD.LT.10.) TLF = 1.00
      IF (TLF.GT.5.) TLF = 5.00
      READ (12,*) YEAR,NPD,(PLU(J),J=1,NPLOTS)
      READ (7,*) YEAR,PSEEP,(PERCLU(LL),LL=1,NPLOTS)
      PNDYLD=DA*NPD*PNDOUT
      PNDSEP=DA*NPD*PSEEP
      TSUYLD=PNDYLD
      TPRYLD=PNDSEP
      DO 1700 III=1,NPLOTS
      SYLDLU(III) = (TAREA-(DA*NPD))*PLU(III)*PXCLU(III)/100.      
      TSUYLD=TSUYLD+SYLDLU(III)
      PRYLD(III) = TAREA*PLU(III)*PERCLU(III)/100.
      TPRYLD=TPRYLD+PRYLD(III)
 1700 CONTINUE
      TBSUYL=TBSUYL+TSUYLD
      SYLDNT=TSUYLD/TLF
      TTSUYL=TTSUYL+SYLDNT
      SYLDAF=SYLDNT/12.
      TSYLDA=TSYLDA+SYLDAF
      PYLDAF=TPRYLD/12.
      TPYLDA=TPYLDA+PYLDAF
      TTYLD=SYLDAF+PYLDAF
      WRITE (10,1750) YEAR,SYLDAF,PYLDAF,TTYLD,TLF,PRC,LAKEVP,MD,NPD,PND
     1OUT,PSEEP,(PLU(JJ),PXCLU(JJ),PERCLU(JJ),JJ=1,NPLOTS)
 1750 FORMAT (I4,3F7.0,F5.2,3F6.2,I5,2F5.2,18(F5.1,2F5.2))
 1800 CONTINUE 
      WTLF= TBSUYL/TTSUYL
      AVGSUF=TSYLDA/YEARS
      AVGPER=TPYLDA/YEARS
      AVGYLD=AVGSUF+AVGPER
      WRITE (10,1850) AVGSUF,AVGPER,AVGYLD,WTLF
 1850 FORMAT ('AVG.',3F7.0,F5.2)
      GOTO 2900
C     *****
C     ******************************************************************
C     *****
C     *****  OPEN PREVIOUS FILES FOR POST PROCESSING ON A MONTHLY BASIS
C     *****
C     ******************************************************************
C     *****
 2000 OPEN(6,FILE='MNTHSURF.OUT',STATUS='OLD')
      OPEN(8,FILE='MNTHPERC.OUT',STATUS='OLD')
      OPEN(10,FILE='MNTHYLD.OUT',STATUS='UNKNOWN') 
      STRNG=FIXED
      IF (LYEAR.EQ.999) STRNG=HIST
      WRITE(10,2010) LOCATION,STRNG
 2010 FORMAT ('SUMMARY OF SURFACE AND PERCOLATION/GROUNDWATER YIELD FROM
     1',//5X,A48,//,A34,I4,/)
      IF (LYEAR.NE.999) GOTO 2111
      GOTO 2114
 2111 WRITE(10,2112) LYEAR
 2112 FORMAT (31X,'YEAR = ',I4,/)
 2114 WRITE (10,2115)
 2115 FORMAT (/) 
      WRITE(10,2118) TAREA, DA
 2118 FORMAT('TOTAL SUB-BASIN AREA = ',F7.0,' ACRES AND TYPICAL POND WAT
     1ERSHED = ',F5.0,' ACRES',//,33X,'ALL VALUES UNLESS SPECIFIED ARE I
     2N INCHES')
      WRITE (10,2020)
 2020 FORMAT ('         ESTIMATED,ACRE-FEET TRLS        LAKE MOIST. NO. 
     1OVR WTRSHD  LAND USE 01    LAND USE 02    LAND USE 03    LAND USE   
     204    LAND USE 05    LAND USE 06    LAND USE 07    LAND USE 08    
     3LAND USE 09    LAND USE 10    LAND USE 11    LAND USE 12    LAND U 
     4SE 13    LAND USE 14    LAND USE 15    LAND USE 16    LAND USE 17    
     5   LAND USE 18')
      WRITE (10,2030)
 2030 FORMAT ('YEAR MO  SURF   PERC   TOTAL FCTR PRECIP EVAP DEFCT PNDS 
     1SURF  SEEP',18(' -%- SURF PERC '))
      DO 2800 I=1,YEARS
      PRCT=0.0
      LAKEVT=0.0
      TSUYLD=0.0
      TPRYLD=0.0
      DO 2200 II=1,12
      READ (6,*) YEAR,MT,PRP(II),LAKEP(II),PNDEV,PNDOT(II),(PXCLUM(III,
     1II),III=1,NPLOTS)
      PRCT=PRCT+PRP(II)
      LAKEVT=LAKEVT+LAKEP(II)
 2200 CONTINUE
      MD = LAKEVT-PRCT
      TLF = 1.00+6.00E-6*MD**3+5.13E-24*EXP(MD) 
      IF (MD.LT.10.) TLF = 1.00
      IF (TLF.GT.5.) TLF = 5.00
      READ (12,*) YEAR,NPD,(PLU(J),J=1,NPLOTS)
      DO 2700 KK=1,12
      TSUYLD=0.0
      TPRYLD=0.0
      READ (8,*) YEAR,MT,PSEEP,(PERCLU(LL),LL=1,NPLOTS)
      PNDYLD=DA*NPD*PNDOT(KK)
      PNDSEP=DA*NPD*PSEEP
      TSUYLD=TSUYLD+PNDYLD
      TPRYLD=TPRYLD+PNDSEP
      DO 2400 III=1,NPLOTS
      SYLDLU(III) = (TAREA-(DA*NPD))*PLU(III)*PXCLUM(III,KK)/100.      
      TSUYLD=TSUYLD+SYLDLU(III)
      PRYLD(III) = TAREA*PLU(III)*PERCLU(III)/100.
      TPRYLD=TPRYLD+PRYLD(III)
 2400 CONTINUE
      TBSUYL=TBSUYL+TSUYLD
      SYLDNT=TSUYLD/TLF
      TTSUYL=TTSUYL+SYLDNT
      SYLDAF=SYLDNT/12.
      TSYLDA=TSYLDA+SYLDAF
      PYLDAF=TPRYLD/12.
      TPYLDA=TPYLDA+PYLDAF
      TTYLD=SYLDAF+PYLDAF
      WRITE (10,2500) YEAR,MT,SYLDAF,PYLDAF,TTYLD,TLF,PRP(KK),LAKEP(KK),
     1MD,NPD,PNDOT(KK),PSEEP,(PLU(JJ),PXCLUM(JJ,KK),PERCLU(JJ),JJ=1,NPLO
     2TS)
 2500 FORMAT (I4,I3,3F7.0,F5.2,3F6.2,I5,2F5.2,18(F5.1,2F5.2))
 2700 CONTINUE 
 2800 CONTINUE
      WTLF= TBSUYL/TTSUYL
      AVGSUF=TSYLDA/YEARS
      AVGPER=TPYLDA/YEARS
      AVGYLD=AVGSUF+AVGPER
      WRITE (10,2850) AVGSUF,AVGPER,AVGYLD,WTLF
 2850 FORMAT ('AVG.   ',3F7.0,F5.2)
 2900 CLOSE (12,STATUS='DELETE')
 3000 STOP
      END
C     *****
C     ******************************************************************
      SUBROUTINE CROPCO (CROP,MGSB,DGSB,MGSE,DGSE,KCROP,NDIM,MMAT)
C     SUBROUTINE CROPCO CALCULATES THE CROP COEFFICIENTS FOR USE IN
C     THE MAIN PROGRAM.  THE CROP COEFFICIENTS ARE CALCULATED BY THE
C     PROCEDURES OUTLINED IN TECHNICAL RELEASE NO 21, IRRIGATION
C     WATER REQUIREMENTS, UNITED STATES DEPARTMENT OF AGRICULTURE,
C     SOIL CONSERVATION SERVICE, ENGINEERING DIVISION, APRIL 1967.
C     SLIGHT MODIFICATIONS HAVE BEEN MADE FOR ADAPTION TO THE MODEL.
C     EQUATIONS FOR THE CROP GROWTH STAGE COEFFICIENT CURVES WERE
C     DEVELOPED WHICH ELIMINATES THE NECESSITY OF READING THE VALUES
C     FROM THE CURVES.  INPUTS TO THE SUBROUTINE INCLUDE THE CROP,
C     MONTH AND DAY GROWING BEGINS AND ENDS, NUMBER OF DAYS IN EACH
C     MONTH, AND THE MEAN MONTHLY AVERAGE TEMPERATURES IN FAHRENHEIT
C     DEGREES.
      INTEGER CROP,DGSB,DGSE
      INTEGER NDIM(12),SHIFT
C     FOLLOWING LINE REVISED IN SEPTEMBER, 1982
      REAL MID(12),DBMD(12),ACC(12),PCGS(12)
      REAL MMAT(12),KT(12),KCROP(7,12),PCGS1(12)
C     ACC=ACCUMULATIVE DAYS IN GROWING SEASON                          
C     MGSB=MONTH GROWING SEASON BEGINS EXPRESSED NUMERICALLY IE 1-12   
C     DGSB=DAY GROWING SEASON BEGINS EXPRESSED NUMERICALLY             
C     MGSE=MONTH GROWING SEASON ENDS EXPRESSED NUMERICALLY IE 1-12     
C     DGSE=DAY GROWING SEASON ENDS EXPRESSED NUMERICALLY               
C     MID=MEDIAN DATES OF THE MONTHS IN THE GROWING SEASON
C     DBMD=DAYS BETWEEN MID DATES                                      
C     PCGS=PERCENT OF GROWING SEASON REACHED AT MID DATES              
C     MMAT=MEAN MONTHLY AVERAGE TEMPERATURES
C     MGSB1=TEMPORARY STORAGE FOR MGSB
C     MGSE1=TEMPORARY STORAGE FOR MGSE
C     PCGS1=TEMPORARY STORAGE FOR PCGS
C     *****
C     THE FOLLOWING LOOP (DO 5) WAS ADDED IN SEPTEMBER, 1982 TO ZERO
C     THE ARRAYS LOCAL TO CROPCO FOR EACH CALL TO THE SUBROUTINE.
      DO 5 I=1,12
      PCGS(I) = 0.0
      PCGS1(I) = 0.0
      MID(I) = 0.0
      DBMD(I) = 0.0
      ACC(I) = 0.0
    5 CONTINUE
      MGSB1 = MGSB
      MGSE1 = MGSE
      IF (MGSB.GT.MGSE) GOTO 10
      GOTO 20
C     WHEN MGSB IS GREATER THAN MGSE SUCH AS IN WINTER WHEAT THE
C     SUBROUTINE "SHIFTS" OR ADDS 1 TO MGSB AND MGSE UNTIL MGSB = 13
C     WHICH CORRESPONDS TO JANUARY.  THIS SHIFT WAS NECESSARY TO
C     FACILITATE PROGRAM LOOPING.  AFTER CALCULATIONS ARE MADE THE
C     CROP COEFFICIENTS ARE  "SHIFTED" BACK TO THEIR ORIGINAL MONTHS.
C     ******************************************************************
C     ******************************************************************
C     *****
C     *****
C     *****  CAUTION TO USER ***  THIS ROUTINE WILL NOT WORK IF THE
C     *****  GROWING SEASON EXCEEDS ONE YEAR.
C     *****
C     ******************************************************************
C     ******************************************************************
   10 SHIFT = 13-MGSB
      MGSE = MGSE+SHIFT
      MGSB = 1
   20 NPLUS = MGSB+1
      NMINUS = MGSE-1
      MID(MGSB) = ((NDIM(MGSB)-DGSB)/2.)+DGSB
      DO 30 N=NPLUS,NMINUS
   30 MID(N) = NDIM(N)/2.0
      MID(MGSE) = DGSE/2.0
      DBMD(MGSB) = MID(MGSB)-DGSB
      DO 40 N=NPLUS,NMINUS
   40 DBMD(N) = NDIM(N-1)-MID(N-1)+MID(N)
      DBMD(MGSE) = NDIM(MGSE-1)-MID(MGSE-1)+DGSE
      ACC(MGSB) = DBMD(MGSB)
      DO 50 N=NPLUS,MGSE
   50 ACC(N) = ACC(N-1)+DBMD(N)
      ACC(MGSE) = ACC(MGSE)-MID(MGSE)
      DO 60 N=MGSB,MGSE
   60 PCGS(N) = (ACC(N)*100.)/(ACC(MGSE)+MID(MGSE))
      IF (MGSB1.LE.MGSE1) GOTO 100
      DO 80 N=1,12
      NN = N-SHIFT
      IF (NN.LE.0) NN = NN+12
      IF (NN.GT.MGSE1.AND.NN.LT.MGSB1) GOTO 70
      PCGS1(NN) = PCGS(N)
      GOTO 80
   70 PCGS1(NN) = 0.0
   80 CONTINUE
      DO 90 N=1,12
   90 PCGS(N) = PCGS1(N)
  100 MGSB = MGSB1
      MGSE = MGSE1
      DO 110 J=1,12
C     KT IS A CLIMATIC COEFFICIENT APPLIED TO THE CROP GROWTH
C      COEFFICIENT.  IT IS CALCULATED BY THE FOLLOWING EQUATION:
      KT(J) = .0173*MMAT(J)-.314
      IF (MMAT(J).LT.36.) KT(J) = .3
  110 CONTINUE
C     *****   CROP=1 FOR WHEAT
C     *****   CROP=2 FOR SORGHUM
C     *****   CROP=3 FOR CORN
C     *****   CROP=4 FOR SOYBEANS
C     *****   CROP=5 FOR PASTURE
C     *****   CROP=6 FOR ALFALFA
C     *****   CROP=7 FOR FALLOW
      GOTO (120,130,140,150,160,180,200), CROP
  120 XBAR = 50.
      A = 1.39093399
      B = -0.00368378
      C = -0.00004976
      D = -0.00000233
      E = -0.00000004
      GOTO 210
  130 XBAR = 50.
      A = 1.05528355
      B = 0.00198600
      C = -0.00051577
      D = 0.00000045
      E = 0.00000011
      GOTO 210
  140 XBAR = 50.
      A = 1.02805328
      B = 0.00880046
      C = -0.00031919
      D = -0.00000194
      E = 0.00000007
      GOTO 210
  150 XBAR = 50.
      A = 0.74790430
      B = 0.01474796
      C = -0.00013486
      D = -0.00000443
      E = 0.
      GOTO 210
C     FOR PERENNIAL CROPS SUCH AS ALFALFA AND PASTURE, VALUES OF THE
C     CROP COEFFICIENTS ARE BEST PLOTTED ON A MONTHLY BASIS. THEREFORE
C     EQUATIONS WERE NOT DEVELOPED.  MONTHLY VALUES WERE INTEGRATED
C     WITHIN THE ROUTINE FOR PASTURE AND ALFALFA.
  160 KCROP(5,1) = 0.49
      KCROP(5,2) = 0.57
      KCROP(5,3) = 0.73
      KCROP(5,4) = 0.85
      KCROP(5,5) = 0.90
      KCROP(5,6) = 0.92
      KCROP(5,7) = 0.92
      KCROP(5,8) = 0.91
      KCROP(5,9) = 0.87
      KCROP(5,10) = 0.79
      KCROP(5,11) = 0.67
      KCROP(5,12) = 0.55
      DO 170 J=1,12
      KCROP(5,J) = KCROP(5,J)*KT(J)
      IF (PCGS(J).LE.0.0) KCROP(5,J) = 0.0
  170 CONTINUE
      GOTO 230
  180 KCROP(6,1) = 0.63
      KCROP(6,2) = 0.73
      KCROP(6,3) = 0.86
      KCROP(6,4) = 0.95
      KCROP(6,5) = 1.00
      KCROP(6,6) = 1.00
      KCROP(6,7) = 1.00
      KCROP(6,8) = 1.00
      KCROP(6,9) = 0.95
      KCROP(6,10) = 0.91
      KCROP(6,11) = 0.78
      KCROP(6,12) = 0.64
      DO 190 J=1,12
      KCROP(6,J) = KCROP(6,J)*KT(J)
  190 IF (PCGS(J).LE.0.0) KCROP(6,J) = 0.0
      GOTO 230
  200 XBAR = 0.
      A = 0.
      B = 0.
      C = 0.
      D = 0.
      E = 0.
  210 DO 220 J=1,12
      Z = PCGS(J)-XBAR
      KCROP(CROP,J) = (A+B*Z+C*Z**2+D*Z**3+E*Z**4)*KT(J)
      IF (PCGS(J).LE.0.0) KCROP(CROP,J) = 0.0
  220 CONTINUE
  230 CONTINUE
C     SINCE THE MAIN PROGRAM APPLIES THE CROP COEFFICIENT (KCROP) TO
C     THE ENTIRE MONTH, THE KCROP WAS PROPORTIONED ACCORDINGLY TO
C     COMPENSATE FOR THIS.  THE NEXT TWO CARDS DO THIS.
      KCROP(CROP,MGSB) = KCROP(CROP,MGSB)*(NDIM(MGSB)-DGSB+1)/NDIM(MGSB)
      KCROP(CROP,MGSE) = KCROP(CROP,MGSE)*DGSE/NDIM(MGSE)
      RETURN
      END
      SUBROUTINE IART (IA,SNOVAP,IASTN,KROPKO,P,PET,PETBS,IASTT,IAET,
     1TEMP)
C     *****   SUBROUTINE IART CALCULATES:
C     *****     1. THE EVAPOTRANSPIRATION AMOUNT WHICH IS DEDUCTED
C     *****        FROM INTERCEPTION STORAGE, IAET
C     *****     2. THE AMOUNT OF PRECIPITATION WHICH IS INTERCEPTED, IA
C     *****     3. THE VALUE OF INTERCEPTION STORAGE FOR THE NEXT DAY'S
C     *****        SIMULATION, IASTT
C     *****   IA=INITIAL ABSTRACTION, ASSUMED TO BE 0.1 INCH OR LESS
C     *****   IAET=AMOUNT OF EVAPOTRANSPIRATION WHICH IS DEDUCTED FROM
C     *****    INTERCEPTION STORAGE (INCHES)
C     *****   IASTOR = TEMPORARY INTERCEPTION STORAGE ACCOUNT
      REAL IA,IAET,IASTN,IASTT,IASTOR,KROPKO
      IF (SNOVAP.GT.0.0) GOTO 3
C     *****  SNOVAP CONSIDERED PART OF INTERCEPTION PROCESS OCTOBER 1993 JKK.  
      IF (TEMP.LT.32.) GOTO 3
      IA = 0.10
      IF (IA.GT.P) IA=P
      IF ((IASTN+IA).GT.0.10) IA=0.10-IASTN 
      IASTOR = IASTN+IA
      IF (KROPKO.LE.0.0) GOTO 5
      IAET = IASTOR - PET
      IF (IAET.LT.0.0) IAET = IASTOR
      IASTT=IASTOR-IAET
      GOTO 10
    3 IAET = SNOVAP
      IA = 0.0
      GOTO 10
    5 IAET = IASTOR-PETBS
      IF (IAET.LT.0.0) IAET = IASTOR
      IASTT=IASTOR-IAET
   10 RETURN
      END
      SUBROUTINE PETRT (SUN,RAD,HUM,AVGT,BLOW,BRUNTA,BRUNTB,DELTA,E,
     1EPRIM,GAMMA,LAKEVP,PACK,PET,PETBS,RCROP,MAXT,MINT,MMMAXT,
     2MMMINT,NONM,NOND)
      REAL LAKEVP,MAXT,MINT,MMMAXT,MMMINT,NONM,NOND
      R = RCROP
      IF (AVGT-20.0) 1,1,2
    1 PET = 0.0
      PETBS = 0.0
      LAKEVP = 0.0
      GOTO 50
C     *****
C     *****   CALCULATION OF POTENTIAL EVAPOTRANSPIRATION BY MEANS OF
C     *****                 PENMAN EQUATION
C     *****   THE FOLLOWING LINE CHECKS FOR SNOW COVER
    2 IF (PACK.GT.0.1) R = 0.70
C     *****   THE NEXT LINE CONVERTS MINT TO DEGREES C
      CENTM = (MINT-32.0)*100.0/180.0
C     *****   ESM=DAILY CALCULATED SATURATED VAPOR PRESSURE (MILLIBARS)
C     *****     AT THE MINIMUM DAILY AIR TEMPERATURE
C     *****   RELATIVE HUMIDITY EARLY IN THE MORNING IS USED AS INPUT.
C     *****   SO, ESM SHOULD BE CALCULATED WITH MINT, TOO, TO GET THE
C     *****   ACTUAL VAPOR PRESSURE FOR THE DAY. SEPTEMBER 02, 1993.  JKK
      ESM = 33.9*((0.00738*CENTM+0.8072)**8-1.9E-5*ABS(1.8*CENTM+48)+
     113.16E-4)
      IF (ESM.LE.0.0) ESM = 0.0
C     *****   IF MINT IS BELOW THE MONTHLY AVERAGE MINIMUM TEMPERATURE,
C     *****   THEN THE RELATIVE HUMIDITY IS LIKELY TO BE GREATER THAN 
C     *****   AVERAGE FOR THE MONTH.  SO, A FACTOR FOR HUM BASED UPON
C     *****   THE ACTUAL MINT IS ADDED.  IF MINT IS GT 5 DEG BELOW THE
C     *****   AVERAGE, HUM = 100%.  IF MINT IS ABOVE AVERAGE, HUM IS THE
C     *****   MONTHLY AVERAGE.  BETWEEN THESE TWO EXTREMES IS A LINEAR
C     *****   INCREASE IN HUM FROM MONTHLY AVERAGE TO 100%.  SEP 28, 1993 JKK
      IF (MINT.GT.MMMINT) GOTO 5
      HUM = HUM+0.20*(MMMINT-MINT)*(100.-HUM)
      IF (HUM.GT.100.) HUM = 100.
C     *****   ESL = ACTUAL VAPOR PRESSURE FOR THE DAY (MILLIBARS)
    5 ESL = ESM*HUM/100.
C     *****   ESA=DAILY CALCULATED DAILY AVERAGE VAPOR PRESSURE (MILLIBARS)
C     *****   (ESA-ESL) VAPOR PRESSURE DEFICIT FOR THE DAY.
C     *****   THE NEXT LINE CONVERTS AVGT TO DEGREES C.
      CENTA = (AVGT-32.0)*100.0/180.0
      ESA = 33.9*((0.00738*CENTA+0.8072)**8-1.9E-5*ABS(1.8*CENTA+48)+
     113.16E-4)
      IF (ESA.LE.0.0) ESA = 0.0
C     *****   TO INCREASE VARIABILITY IN RADIATION, EFFECT OF TEMPERATURE
C     *****   DIFFERENCE ON EXPECTED RADIATION WAS ADDED SEPT. 1993.
C     *****   BY (MAXT-MINT)/(MMMAXT-MMMINT) AND CHECK TO SEE IF 
C     *****   SUN GT. 100%. SUN = 100% WOULD BE A COMPLETELY CLEAR DAY.
C     *****   (MMMAXT-MMMINT) IS THE AVERAGE DIFFERENCE BETWEEN MMMAXT AND  
C     *****   MMMINT. (MAXT-MINT) IS ACTUAL DIFFERENCE FOR THE DAY.
      SUNF = (MAXT-MINT)/(MMMAXT-MMMINT)
      IF (SUNF*SUN.GT.100.) SUNF = 100./SUN
C     *****   RN=CALCULATED DAILY NET RADIATION (MM OF WATER)
C     *****   AVGT AS ABSOLUTE TEMPERATURE IS NEEDED FOR CALCULATING RN
      ABST = ((AVGT-32.0)*5./9.)+273.16
      RN = (1-R)*RAD*(0.22+0.54*SUNF*SUN/100.)-2.010E-09*ABST**4*(0.98
     1*(1.-BRUNTA-BRUNTB*SQRT(ESA)))*(0.1+0.9*SUNF*SUN/100.)
      IF (RN.LT.0.0) RN = 0.0
C     *****   WINDD=MONTHLY AVERAGE WIND RUN AT 2 METERS HEIGHT (MI/DAY)
      WINDD = (BLOW*24)*0.555
C     *****   EA=CONVECTIVE LOSSES (MM WATER)
      EA = 0.26*(E+0.01*WINDD)*(ESA-ESL)
      EALAKE = 0.26*(EPRIM+0.01*WINDD)*(ESA-ESL)
      IF (AVGT) 10,10,20
   10 DELTA = 0.0
      GOTO 30
   20 DELTA = 0.039*AVGT**0.673
   30 GAMMA = 1-DELTA
C     ***** 
C     *****************************************************************
C     *****
C     ***** HEAT FACTOR ADDED TO COMPENSATE FOR EFFECT OF STORAGE IN 
C     ***** LAKE AND SOIL.  IT REDUCES PET WHEN AIR TEMPS ARE RISING AND
C     ***** INCREASES WHEN AIR TEMPS ARE COOLING.  ADDED OCT. 07 1993 JKK
C     ***** IT IS BASED UPON A PAN TO LAKE DISTRIBUTION FOR LAKE HEFNER
C     ***** WHICH IS USED IN KANSAS.  EQUATION IS FIT OF THE CURVE.
C     ***** DYR = DECIMAL FRACTION THROUGH THE YEAR
C     ***** HF IS THE FACTOR WHICH WILL AVERAGE ABOUT 0.68 FOR THE YEAR.
C     ***** MINIMUM = 0.43 ABOUT MID-MARCH AND MAX IS 0.88 IN MID OCT.
      DYR=(NONM-1.)+NOND/30.5
      HF= (0.488-0.253*DYR+.0599*DYR**2.0-.00316*DYR**3)**0.50
C     *****
      PET = (((DELTA*RN)+(GAMMA*EA))/25.4)*HF
C     *****
C     *****   CALCULATE LAKE AND BARE SOIL EVAPORATION
C     *****
      RNSOIL = RN*((1.0-0.20)/(1.0-R))
      RNLAKE = RN*((1.0-0.05)/(1.0-R))
      PETBS = (((DELTA*RNSOIL)+(GAMMA*EA))/25.4)*HF
      LAKEVP = (((DELTA*RNLAKE)+(GAMMA*EALAKE))/25.4)*HF
   50 RETURN
      END
      SUBROUTINE RNOFRT (AVLFCU,PWPUZ,P,RCN1,RCN2,RCN3,RNOF,SMUZ)
C     *****
C     *****   SUBROUTINE RNOFRT CALCULATES THE RUNOFF FROM THE LAND USE
C     *****   USING THE SCS EQUATION:
C     *****        RNOF=((P-0.2*S)**2)/(P+0.8*S)
C     *****   WHERE
C     *****        P=PRECIPITATION AMOUNT, INCLUDING SNOWMELT (INCHES)
C     *****        S=(1000/CN)-10
C     *****        CN=RUNOFF CURVE NUMBER
C     *****        RNOF=CALCULATED RUNOFF AMOUNT (INCHES)
      REAL NUM
C     *****
C     *****************************************************************
C     *****
C     *****  RCN CHANGED TO SLIDING SCALE BASED UPON AVAILABLE SOIL
C     *****  IN UPPER ZONE OF SOIL (FASMUZ) BY SIMPLE FITTED EQUATION.
C     *****  CHANGED SEPTEMBER 07 and 20, 1993 JKK
C     *****  DIFFERENT THRESHOLD VALUES FOR GROWING AND NON-GROWING
C     *****  SEASONS WERE ELIMINATED BECAUSE FASMUZ SHOULD ACCOUNT FOR
C     *****  CHANGES BECAUSE SOIL MOISTURE IS LIKELY HIGHER DURING THE 
C     *****  NON-GROWING SEASON.
C     *****  IF FASMUZ.LT.50%, AMCI; IF .GT.90%, AMCIII, IN BETWEEN
C     *****  SLIDES FROM I TO III WITH AMCII AT 70%.
C     *****
C     *****************************************************************
C     *****
      FASMUZ=(SMUZ-PWPUZ)/AVLFCU
      IF (FASMUZ.LT.0.50) GOTO 40
      IF (FASMUZ.GT.0.90) GOTO 50
      AMC=1.00+5.00*(FASMUZ-0.50)
      IF (AMC.LT.2.00) CN=RCN2+(RCN2-RCN1)*(AMC-2.00)
      IF (AMC.GE.2.00) CN=RCN2+(RCN3-RCN2)*(AMC-2.00)
      GOTO 60    
   40 CN = RCN1
      GOTO 60
   50 CN =RCN3
   60 S = 1000.0/CN-10.0
      NUM = P-0.2*S
      IF (NUM) 70,70,80
   70 RNOF = 0.0
      GOTO 90
   80 RNOF = NUM**2/(P+0.8*S)
   90 RETURN
      END
      SUBROUTINE SEEPGE (B2,PONVOL,DASEEP,DSEPRT)
C     *****     SUBROUTINE SEEPGE CALCULATES THE VOLUME OF EXFILTRATION
C     *****   FROM THE POND EACH DAY. THE EXFILTRATION FUNCTION IS
C     *****   ASSUMED TO BE A CONSTANT RATE (DSEPRT) IN INCHES/DAY. THE
C     *****   VOLUME IS FOUND BY MULTIPLYING THIS RATE BY THE POND'S
C     *****   SURFACE AREA. THIS EXFILTRATION VOLUME IS THEN SUBTRACTED
C     *****   FROM THE POND VOLUME.
C     *****   B2=POND SURFACE AREA (SQUARE FEET)
C     *****   DASEEP=DAY'S EXFILTRATION VOLUME (ACRE-INCHES)
C     *****   PONVOL=POND VOLUME (ACRE-INCHES)
      DASEEP = B2*DSEPRT/43560.0
      IF (DASEEP.GT.PONVOL) DASEEP = PONVOL
      PONVOL = PONVOL-DASEEP
      IF (PONVOL.LT.0.0) PONVOL = 0.0
      RETURN
      END
      SUBROUTINE SNOWRT (PRECIP,KROPKO,WATER,PACK,PET,PETBS,TEMPAV,
     1SNOVAP)
C     *****
C     *****   SUBROUTINE SNOWRT CALCULATES THE MOISTURE ADDED TO THE
C     *****    LAND USE DUE TO MELT OF THE SNOWPACK
C     *****
      REAL M,MA,MR,KROPKO
      M = 0.0
C     *****   SNOVAP=DEDUCTION FROM THE MOISTURE STORED IN THE
C     *****    SNOWPACK DUE TO SUBLIMATION (INCHES)
C     *****  THE FOLLOWING LINE WAS CHANGED BY ADDING 0.5, OCT. 1993 JKK
      IF (KROPKO) 5,5,6
    5 IF (PACK.GT.0.) SNOVAP = 0.5*PETBS
      IF (SNOVAP.GT.PACK) SNOVAP=PACK
      PETBS=PETBS-SNOVAP
      GOTO 8
    6 IF (PACK.GT.0.) SNOVAP = 0.5*PET
C     *****  THE FOLLOWING LINE WAS ADDED IN SEPTEMBER, 1982
      IF (SNOVAP.GT.PACK) SNOVAP=PACK
      PET=PET-SNOVAP
    8 PACK = PACK-SNOVAP
C     *****  SNOVAP WILL BE INCLUDED IN WATER BUDGET AS INC FOR ACCOUNTING
C     *****  PURPOSES.  WHEN SNOVAP IS GREATER THAN 0. AET WILL BE ZEROED
C     *****  AND NO INITIAL ABSTRACTION WILL BE TAKEN IN SUBROUTINE IART.
C     *****  JKK OCTOBER 18, 1993
      IF (TEMPAV-32.) 10,10,20
   10 IF (PRECIP) 70,70,30
   20 IF (PACK) 90,90,40
   30 PACK = PACK+PRECIP
      WATER = 0.0
      GOTO 90
C     *****   MA=SNOWMELT DUE TO ATMOSPHERIC CONDITIONS (INCHES)
   40 MA = 0.05*(TEMPAV-34.)
      IF (MA.LT.0.0) MA = 0.0
      IF (PACK-MA) 60,60,50
C     *****   MR=SNOWMELT DUE TO RAIN (INCHES)
   50 MR = (PRECIP*(TEMPAV-32.))/144
C     *****   M=TOTAL SNOWMELT (INCHES)
      M = MR+MA
      IF (PACK-M) 60,70,70
   60 M = PACK
      PACK = 0.0
      GOTO 80
   70 PACK = PACK-M
C     *****   WATER=SUM OF PRECIPITATION ON THE AREA AND SNOWMELT (IN.)
   80 WATER = M+PRECIP
   90 RETURN
      END
      SUBROUTINE VOLRT (A1,A2,A3,A4,A5,L,PSAREA,S,VOLMAX,W,HMAX)
      REAL L
C     *****
C     *****   SIZING POND VOLUME ROUTINE
      A1 = L*W
      A2 = S*(L+W)
      A3 = 4./3.*S**2
      A4 = 2.*A2
      A5 = 4.*S**2
C     *****   VOLMAX=MAXIMUM STORAGE VOLUME IN THE POND (ACRE-IN.)
      VOLMAX = (A1*HMAX+A2*HMAX**2+A3*HMAX**3)/3630.0
C     *****   PSAREA=MAXIMUM POND SURFACE AREA (ACRES)
      PSAREA = ((W+2.*S*HMAX)*(L+2.*S*HMAX))/43560
      RETURN
      END